/* Generated from scheduler.scm by the CHICKEN compiler
   http://www.call-cc.org
   2017-09-25 09:13
   Version 5.0.0pre2 ((detached from 5.0.0pre2)) (rev 43b8784)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   compiled 2017-09-25 on waldrop (Linux)
   command line: scheduler.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-type-file ./types.db -explicit-use -no-trace -output-file scheduler.c
   unit: scheduler
   uses: extras library
*/
#include "chicken.h"

#ifdef HAVE_ERRNO_H
# include <errno.h>
# define C_signal_interrupted_p     C_mk_bool(errno == EINTR)
#else
# define C_signal_interrupted_p     C_SCHEME_FALSE
#endif

#ifdef _WIN32
/* TODO: Winsock select() only works for sockets */
# include <winsock2.h>
/* Beware: winsock2.h must come BEFORE windows.h */
# define C_msleep(n)   (Sleep((DWORD)C_num_to_uint64(n)), C_SCHEME_TRUE)
#else
# include <sys/time.h>
static C_word C_msleep(C_word ms);
C_word C_msleep(C_word ms) {
#ifdef __CYGWIN__
  if(usleep((useconds_t)C_num_to_uint64(ms) * 1000) == -1) return C_SCHEME_FALSE;
#else
  struct timespec ts;
  C_word ab[C_SIZEOF_FIX_BIGNUM], *a = ab,
         sec = C_s_a_u_i_integer_quotient(&a, 2, ms, C_fix(1000)),
         msec = C_s_a_u_i_integer_remainder(&a, 2, ms, C_fix(1000));
  ts.tv_sec = (time_t)C_num_to_uint64(sec);
  ts.tv_nsec = (long)C_unfix(msec) * 1000000;
  
  if(nanosleep(&ts, NULL) == -1) return C_SCHEME_FALSE;
#endif
  return C_SCHEME_TRUE;
}
#endif

#ifdef NO_POSIX_POLL

/* Shouldn't we include <sys/select.h> here? */
static fd_set C_fdset_input, C_fdset_output;

#define C_fd_input_ready(fd,pos)  C_mk_bool(FD_ISSET(C_unfix(fd), &C_fdset_input))
#define C_fd_output_ready(fd,pos)  C_mk_bool(FD_ISSET(C_unfix(fd), &C_fdset_output))

inline static int C_ready_fds_timeout(int to, unsigned int tm) {
  struct timeval timeout;
  timeout.tv_sec = tm / 1000;
  timeout.tv_usec = fmod(tm, 1000) * 1000;
  /* we use FD_SETSIZE, but really should use max fd */
  return select(FD_SETSIZE, &C_fdset_input, &C_fdset_output, NULL, to ? &timeout : NULL);
}

inline static void C_prepare_fdset(int length) {
  FD_ZERO(&C_fdset_input);
  FD_ZERO(&C_fdset_output);
}

inline static void C_fdset_add(int fd, int input, int output) {
  if (input) FD_SET(fd, &C_fdset_input);
  if (output) FD_SET(fd, &C_fdset_output);
}

#else
#  include <poll.h>
#  include <assert.h>

static int C_fdset_nfds;
static struct pollfd *C_fdset_set = NULL;

inline static int C_fd_ready(int fd, int pos, int what) {
  assert(fd == C_fdset_set[pos].fd); /* Must match position in ##sys#fd-list! */
  return(C_fdset_set[pos].revents & what);
}

#define C_fd_input_ready(fd,pos)  C_mk_bool(C_fd_ready(C_unfix(fd), C_unfix(pos),POLLIN|POLLERR|POLLHUP|POLLNVAL))
#define C_fd_output_ready(fd,pos)  C_mk_bool(C_fd_ready(C_unfix(fd), C_unfix(pos),POLLOUT|POLLERR|POLLHUP|POLLNVAL))

inline static int C_ready_fds_timeout(int to, unsigned int tm) {
  return poll(C_fdset_set, C_fdset_nfds, to ? tm : -1);
}

inline static void C_prepare_fdset(int length) {
  /* TODO: Only realloc when needed? */
  C_fdset_set = realloc(C_fdset_set, sizeof(struct pollfd) * length);
  if (C_fdset_set == NULL)
    C_halt(C_SCHEME_FALSE); /* Ugly: no message */
  C_fdset_nfds = 0;
}

/* This *must* be called in order, so position will match ##sys#fd-list */
inline static void C_fdset_add(int fd, int input, int output) {
  C_fdset_set[C_fdset_nfds].events = ((input ? POLLIN : 0) | (output ? POLLOUT : 0));
  C_fdset_set[C_fdset_nfds++].fd = fd;
}
#endif

static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_extras_toplevel)
C_externimport void C_ccall C_extras_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externimport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[71];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,49,52,57,41,0,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,18),40,100,101,108,113,32,120,49,52,54,32,108,115,116,49,52,55,41,0,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,7),40,108,111,111,112,50,41,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,26),40,108,111,111,112,50,32,116,104,114,101,97,100,115,53,51,48,32,107,101,101,112,53,51,49,41,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,25),40,108,111,111,112,32,110,53,49,54,32,112,111,115,53,49,55,32,108,115,116,53,49,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,11),40,103,51,56,57,32,116,51,57,56,41,0,0,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,56,56,32,103,51,57,53,52,50,57,41,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,51,56,50,41,0,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,49,55,52,41,0,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,7),40,108,111,111,112,49,41,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,112,114,105,109,111,114,100,105,97,108,41};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,114,101,97,100,121,45,113,117,101,117,101,41,0,0,0,0,0};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,97,100,100,45,116,111,45,114,101,97,100,121,45,113,117,101,117,101,32,116,104,114,101,97,100,50,48,57,41,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,7),40,97,49,50,57,50,41,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,50,52,48,32,115,116,97,116,101,50,52,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,112,114,101,118,50,53,48,41,0,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,114,101,109,111,118,101,45,102,114,111,109,45,116,105,109,101,111,117,116,45,108,105,115,116,32,116,50,52,55,41,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,116,108,50,53,56,32,112,114,101,118,50,53,57,41,0,0,0,0};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,108,111,99,107,45,102,111,114,45,116,105,109,101,111,117,116,33,32,116,50,53,53,32,116,109,50,53,54,41,0,0,0,0};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,108,111,99,107,45,102,111,114,45,116,101,114,109,105,110,97,116,105,111,110,33,32,116,50,54,56,32,116,50,50,54,57,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,12),40,103,51,51,49,32,116,50,51,52,48,41,0,0,0,0};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,51,48,32,103,51,51,55,51,52,50,41,0,0,0,0,0,0};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,50,57,54,32,103,51,48,51,51,48,56,41,0,0,0,0,0,0};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,50,56,50,32,103,50,56,57,51,49,54,41,0,0,0,0,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,116,104,114,101,97,100,45,107,105,108,108,33,32,116,51,50,48,32,115,51,50,49,41,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,97,115,105,99,45,117,110,98,108,111,99,107,33,32,116,51,53,53,41,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,7),40,97,49,54,56,54,41,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,51,53,57,41};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,52,56,54,41,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,116,104,114,101,97,100,45,98,108,111,99,107,45,102,111,114,45,105,47,111,33,32,116,52,56,50,32,102,100,52,56,51,32,105,47,111,52,56,52,41,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,108,115,116,53,54,51,41,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,99,108,101,97,114,45,105,47,111,45,115,116,97,116,101,45,102,111,114,45,116,104,114,101,97,100,33,32,116,53,54,48,41};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,39),40,102,95,50,52,53,51,32,113,117,101,117,101,53,56,55,32,97,114,103,53,56,56,32,118,97,108,53,56,57,32,105,110,105,116,53,57,48,41,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,54,48,49,41,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,108,54,48,52,32,105,54,48,53,41};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,108,53,57,55,32,105,53,57,56,41};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,108,53,57,52,32,105,53,57,53,41};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,97,108,108,45,116,104,114,101,97,100,115,32,46,32,116,109,112,53,55,55,53,55,56,41,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,101,116,99,104,45,97,110,100,45,99,108,101,97,114,45,116,104,114,101,97,100,115,41,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,115,116,111,114,101,45,116,104,114,101,97,100,115,32,118,101,99,54,49,54,41,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,116,104,114,101,97,100,45,117,110,98,108,111,99,107,33,32,116,54,50,49,41,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,7),40,97,50,53,52,48,41,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,17),40,97,50,53,50,56,32,114,101,116,117,114,110,54,50,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,116,104,114,101,97,100,45,115,108,101,101,112,33,32,116,109,54,50,56,41,0,0,0,0,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,108,101,101,112,45,104,111,111,107,32,110,54,51,51,41,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,14),40,115,117,115,112,101,110,100,32,116,54,53,56,41,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,11),40,103,54,52,49,32,97,54,54,51,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,55,51,32,103,54,56,48,54,56,52,41,0,0,0,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,11),40,103,54,53,49,32,97,54,55,48,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,53,48,32,103,54,53,55,54,56,56,41,0,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,52,48,32,103,54,52,55,54,54,53,41,0,0,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,54,51,53,41,0,0,0,0,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


/* from g500 */
C_regparm static C_word C_fcall stub504(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_truep(C_a0);
unsigned int t1=(unsigned int )C_num_to_unsigned_int(C_a1);
C_r=C_fix((C_word)C_ready_fds_timeout(t0,t1));
return C_r;}

/* from g432 */
C_regparm static C_word C_fcall stub437(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
int t1=(int )C_truep(C_a1);
int t2=(int )C_truep(C_a2);
C_fdset_add(t0,t1,t2);
return C_r;}

/* from g375 */
C_regparm static C_word C_fcall stub378(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_prepare_fdset(t0);
return C_r;}

C_noret_decl(f_2221)
static void C_ccall f_2221(C_word c,C_word *av) C_noret;
C_noret_decl(f_1673)
static void C_ccall f_1673(C_word c,C_word *av) C_noret;
C_noret_decl(f_1722)
static void C_fcall f_1722(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2052)
static void C_fcall f_2052(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2608)
static void C_fcall f_2608(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1829)
static void C_ccall f_1829(C_word c,C_word *av) C_noret;
C_noret_decl(f_1711)
static void C_fcall f_1711(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2652)
static void C_ccall f_2652(C_word c,C_word *av) C_noret;
C_noret_decl(f_1547)
static void C_fcall f_1547(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1541)
static void C_ccall f_1541(C_word c,C_word *av) C_noret;
C_noret_decl(f_2665)
static void C_fcall f_2665(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1306)
static C_word C_fcall f_1306(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_1300)
static void C_ccall f_1300(C_word c,C_word *av) C_noret;
C_noret_decl(f_1537)
static void C_ccall f_1537(C_word c,C_word *av) C_noret;
C_noret_decl(f_1091)
static void C_ccall f_1091(C_word c,C_word *av) C_noret;
C_noret_decl(f_2632)
static void C_ccall f_2632(C_word c,C_word *av) C_noret;
C_noret_decl(f_2637)
static void C_ccall f_2637(C_word c,C_word *av) C_noret;
C_noret_decl(f_1902)
static void C_ccall f_1902(C_word c,C_word *av) C_noret;
C_noret_decl(f_1905)
static void C_ccall f_1905(C_word c,C_word *av) C_noret;
C_noret_decl(f_2265)
static void C_fcall f_2265(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2263)
static void C_ccall f_2263(C_word c,C_word *av) C_noret;
C_noret_decl(f_1524)
static void C_ccall f_1524(C_word c,C_word *av) C_noret;
C_noret_decl(f_1765)
static void C_ccall f_1765(C_word c,C_word *av) C_noret;
C_noret_decl(f_1088)
static void C_ccall f_1088(C_word c,C_word *av) C_noret;
C_noret_decl(f_2642)
static void C_fcall f_2642(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1128)
static void C_ccall f_1128(C_word c,C_word *av) C_noret;
C_noret_decl(f_1121)
static void C_ccall f_1121(C_word c,C_word *av) C_noret;
C_noret_decl(f_902)
static void C_ccall f_902(C_word c,C_word *av) C_noret;
C_noret_decl(f_904)
static void C_fcall f_904(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1514)
static void C_fcall f_1514(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_910)
static void C_fcall f_910(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2023)
static void C_ccall f_2023(C_word c,C_word *av) C_noret;
C_noret_decl(f_2025)
static void C_fcall f_2025(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_1999)
static void C_ccall f_1999(C_word c,C_word *av) C_noret;
C_noret_decl(f_1990)
static void C_ccall f_1990(C_word c,C_word *av) C_noret;
C_noret_decl(f_1645)
static void C_ccall f_1645(C_word c,C_word *av) C_noret;
C_noret_decl(f_977)
static void C_ccall f_977(C_word c,C_word *av) C_noret;
C_noret_decl(f_2453)
static void C_ccall f_2453(C_word c,C_word *av) C_noret;
C_noret_decl(f_1407)
static void C_ccall f_1407(C_word c,C_word *av) C_noret;
C_noret_decl(f_2462)
static void C_ccall f_2462(C_word c,C_word *av) C_noret;
C_noret_decl(f_2491)
static void C_ccall f_2491(C_word c,C_word *av) C_noret;
C_noret_decl(f_2675)
static void C_ccall f_2675(C_word c,C_word *av) C_noret;
C_noret_decl(f_1055)
static void C_fcall f_1055(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2472)
static void C_ccall f_2472(C_word c,C_word *av) C_noret;
C_noret_decl(f_1293)
static void C_ccall f_1293(C_word c,C_word *av) C_noret;
C_noret_decl(f_2424)
static void C_ccall f_2424(C_word c,C_word *av) C_noret;
C_noret_decl(f_1571)
static void C_ccall f_1571(C_word c,C_word *av) C_noret;
C_noret_decl(f_1578)
static void C_fcall f_1578(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_989)
static void C_ccall f_989(C_word c,C_word *av) C_noret;
C_noret_decl(f_2087)
static void C_ccall f_2087(C_word c,C_word *av) C_noret;
C_noret_decl(f_986)
static void C_ccall f_986(C_word c,C_word *av) C_noret;
C_noret_decl(f_982)
static void C_fcall f_982(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2166)
static void C_ccall f_2166(C_word c,C_word *av) C_noret;
C_noret_decl(f_1279)
static void C_ccall f_1279(C_word c,C_word *av) C_noret;
C_noret_decl(f_2163)
static void C_ccall f_2163(C_word c,C_word *av) C_noret;
C_noret_decl(f_1275)
static void C_ccall f_1275(C_word c,C_word *av) C_noret;
C_noret_decl(f_2160)
static void C_ccall f_2160(C_word c,C_word *av) C_noret;
C_noret_decl(f_998)
static void C_fcall f_998(C_word t0,C_word t1) C_noret;
C_noret_decl(f_994)
static void C_fcall f_994(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1942)
static void C_fcall f_1942(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2359)
static void C_fcall f_2359(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2408)
static void C_fcall f_2408(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2401)
static void C_ccall f_2401(C_word c,C_word *av) C_noret;
C_noret_decl(f_2352)
static void C_ccall f_2352(C_word c,C_word *av) C_noret;
C_noret_decl(f_2177)
static void C_ccall f_2177(C_word c,C_word *av) C_noret;
C_noret_decl(f_2174)
static void C_ccall f_2174(C_word c,C_word *av) C_noret;
C_noret_decl(f_2145)
static void C_ccall f_2145(C_word c,C_word *av) C_noret;
C_noret_decl(f_1780)
static void C_ccall f_1780(C_word c,C_word *av) C_noret;
C_noret_decl(f_1783)
static void C_ccall f_1783(C_word c,C_word *av) C_noret;
C_noret_decl(f_1786)
static void C_ccall f_1786(C_word c,C_word *av) C_noret;
C_noret_decl(f_937)
static void C_ccall f_937(C_word c,C_word *av) C_noret;
C_noret_decl(f_1628)
static void C_ccall f_1628(C_word c,C_word *av) C_noret;
C_noret_decl(f_1923)
static void C_ccall f_1923(C_word c,C_word *av) C_noret;
C_noret_decl(f_1927)
static void C_ccall f_1927(C_word c,C_word *av) C_noret;
C_noret_decl(f_2336)
static void C_fcall f_2336(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2157)
static void C_ccall f_2157(C_word c,C_word *av) C_noret;
C_noret_decl(f_2154)
static void C_ccall f_2154(C_word c,C_word *av) C_noret;
C_noret_decl(f_1771)
static void C_ccall f_1771(C_word c,C_word *av) C_noret;
C_noret_decl(f_2151)
static void C_ccall f_2151(C_word c,C_word *av) C_noret;
C_noret_decl(f_1777)
static void C_ccall f_1777(C_word c,C_word *av) C_noret;
C_noret_decl(f_1774)
static void C_ccall f_1774(C_word c,C_word *av) C_noret;
C_noret_decl(f_947)
static void C_ccall f_947(C_word c,C_word *av) C_noret;
C_noret_decl(f_2306)
static void C_ccall f_2306(C_word c,C_word *av) C_noret;
C_noret_decl(f_2124)
static void C_ccall f_2124(C_word c,C_word *av) C_noret;
C_noret_decl(f_2121)
static void C_ccall f_2121(C_word c,C_word *av) C_noret;
C_noret_decl(f_2287)
static void C_ccall f_2287(C_word c,C_word *av) C_noret;
C_noret_decl(f_1607)
static void C_ccall f_1607(C_word c,C_word *av) C_noret;
C_noret_decl(f_1597)
static void C_fcall f_1597(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1472)
static void C_ccall f_1472(C_word c,C_word *av) C_noret;
C_noret_decl(f_1667)
static void C_ccall f_1667(C_word c,C_word *av) C_noret;
C_noret_decl(f_1663)
static void C_ccall f_1663(C_word c,C_word *av) C_noret;
C_noret_decl(f_2378)
static void C_ccall f_2378(C_word c,C_word *av) C_noret;
C_noret_decl(f_1819)
static void C_fcall f_1819(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1651)
static void C_ccall f_1651(C_word c,C_word *av) C_noret;
C_noret_decl(f_1807)
static void C_ccall f_1807(C_word c,C_word *av) C_noret;
C_noret_decl(f_1893)
static void C_ccall f_1893(C_word c,C_word *av) C_noret;
C_noret_decl(f_1896)
static void C_ccall f_1896(C_word c,C_word *av) C_noret;
C_noret_decl(f_1899)
static void C_ccall f_1899(C_word c,C_word *av) C_noret;
C_noret_decl(f_1890)
static void C_ccall f_1890(C_word c,C_word *av) C_noret;
C_noret_decl(f_1884)
static void C_ccall f_1884(C_word c,C_word *av) C_noret;
C_noret_decl(f_1887)
static void C_ccall f_1887(C_word c,C_word *av) C_noret;
C_noret_decl(f_1878)
static void C_ccall f_1878(C_word c,C_word *av) C_noret;
C_noret_decl(f_1498)
static void C_ccall f_1498(C_word c,C_word *av) C_noret;
C_noret_decl(f_899)
static void C_ccall f_899(C_word c,C_word *av) C_noret;
C_noret_decl(f_2318)
static void C_ccall f_2318(C_word c,C_word *av) C_noret;
C_noret_decl(f_1488)
static void C_fcall f_1488(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1109)
static void C_ccall f_1109(C_word c,C_word *av) C_noret;
C_noret_decl(f_1103)
static void C_fcall f_1103(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2561)
static void C_ccall f_2561(C_word c,C_word *av) C_noret;
C_noret_decl(f_1341)
static void C_ccall f_1341(C_word c,C_word *av) C_noret;
C_noret_decl(f_2598)
static void C_ccall f_2598(C_word c,C_word *av) C_noret;
C_noret_decl(f_2599)
static void C_fcall f_2599(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1162)
static void C_ccall f_1162(C_word c,C_word *av) C_noret;
C_noret_decl(f_2547)
static void C_ccall f_2547(C_word c,C_word *av) C_noret;
C_noret_decl(f_2541)
static void C_ccall f_2541(C_word c,C_word *av) C_noret;
C_noret_decl(f_2587)
static void C_fcall f_2587(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1550)
static void C_ccall f_1550(C_word c,C_word *av) C_noret;
C_noret_decl(f_1553)
static void C_ccall f_1553(C_word c,C_word *av) C_noret;
C_noret_decl(C_scheduler_toplevel)
C_externexport void C_ccall C_scheduler_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(f_2586)
static void C_ccall f_2586(C_word c,C_word *av) C_noret;
C_noret_decl(f_2558)
static void C_ccall f_2558(C_word c,C_word *av) C_noret;
C_noret_decl(f_2383)
static void C_fcall f_2383(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2529)
static void C_ccall f_2529(C_word c,C_word *av) C_noret;
C_noret_decl(f_2523)
static void C_ccall f_2523(C_word c,C_word *av) C_noret;
C_noret_decl(f_2180)
static void C_ccall f_2180(C_word c,C_word *av) C_noret;
C_noret_decl(f_1176)
static void C_ccall f_1176(C_word c,C_word *av) C_noret;
C_noret_decl(f_2536)
static void C_ccall f_2536(C_word c,C_word *av) C_noret;
C_noret_decl(f_1173)
static void C_ccall f_1173(C_word c,C_word *av) C_noret;
C_noret_decl(f_1371)
static void C_fcall f_1371(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2507)
static void C_ccall f_2507(C_word c,C_word *av) C_noret;
C_noret_decl(f_2504)
static void C_ccall f_2504(C_word c,C_word *av) C_noret;
C_noret_decl(f_2501)
static void C_fcall f_2501(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1361)
static void C_fcall f_1361(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2618)
static void C_ccall f_2618(C_word c,C_word *av) C_noret;
C_noret_decl(f_1350)
static void C_ccall f_1350(C_word c,C_word *av) C_noret;
C_noret_decl(f_1691)
static void C_ccall f_1691(C_word c,C_word *av) C_noret;
C_noret_decl(f_1844)
static void C_ccall f_1844(C_word c,C_word *av) C_noret;
C_noret_decl(f_2249)
static void C_fcall f_2249(C_word t0,C_word t1) C_noret;
C_noret_decl(f_1687)
static void C_ccall f_1687(C_word c,C_word *av) C_noret;

C_noret_decl(trf_1722)
static void C_ccall trf_1722(C_word c,C_word *av) C_noret;
static void C_ccall trf_1722(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1722(t0,t1,t2);}

C_noret_decl(trf_2052)
static void C_ccall trf_2052(C_word c,C_word *av) C_noret;
static void C_ccall trf_2052(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2052(t0,t1,t2,t3);}

C_noret_decl(trf_2608)
static void C_ccall trf_2608(C_word c,C_word *av) C_noret;
static void C_ccall trf_2608(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2608(t0,t1,t2);}

C_noret_decl(trf_1711)
static void C_ccall trf_1711(C_word c,C_word *av) C_noret;
static void C_ccall trf_1711(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1711(t0,t1,t2);}

C_noret_decl(trf_1547)
static void C_ccall trf_1547(C_word c,C_word *av) C_noret;
static void C_ccall trf_1547(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1547(t0,t1);}

C_noret_decl(trf_2665)
static void C_ccall trf_2665(C_word c,C_word *av) C_noret;
static void C_ccall trf_2665(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2665(t0,t1,t2);}

C_noret_decl(trf_2265)
static void C_ccall trf_2265(C_word c,C_word *av) C_noret;
static void C_ccall trf_2265(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2265(t0,t1,t2);}

C_noret_decl(trf_2642)
static void C_ccall trf_2642(C_word c,C_word *av) C_noret;
static void C_ccall trf_2642(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2642(t0,t1,t2);}

C_noret_decl(trf_904)
static void C_ccall trf_904(C_word c,C_word *av) C_noret;
static void C_ccall trf_904(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_904(t0,t1,t2);}

C_noret_decl(trf_1514)
static void C_ccall trf_1514(C_word c,C_word *av) C_noret;
static void C_ccall trf_1514(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1514(t0,t1,t2);}

C_noret_decl(trf_910)
static void C_ccall trf_910(C_word c,C_word *av) C_noret;
static void C_ccall trf_910(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_910(t0,t1,t2);}

C_noret_decl(trf_2025)
static void C_ccall trf_2025(C_word c,C_word *av) C_noret;
static void C_ccall trf_2025(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2025(t0,t1,t2,t3,t4);}

C_noret_decl(trf_1055)
static void C_ccall trf_1055(C_word c,C_word *av) C_noret;
static void C_ccall trf_1055(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1055(t0,t1,t2);}

C_noret_decl(trf_1578)
static void C_ccall trf_1578(C_word c,C_word *av) C_noret;
static void C_ccall trf_1578(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1578(t0,t1,t2);}

C_noret_decl(trf_982)
static void C_ccall trf_982(C_word c,C_word *av) C_noret;
static void C_ccall trf_982(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_982(t0,t1);}

C_noret_decl(trf_998)
static void C_ccall trf_998(C_word c,C_word *av) C_noret;
static void C_ccall trf_998(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_998(t0,t1);}

C_noret_decl(trf_994)
static void C_ccall trf_994(C_word c,C_word *av) C_noret;
static void C_ccall trf_994(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_994(t0,t1);}

C_noret_decl(trf_1942)
static void C_ccall trf_1942(C_word c,C_word *av) C_noret;
static void C_ccall trf_1942(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1942(t0,t1,t2);}

C_noret_decl(trf_2359)
static void C_ccall trf_2359(C_word c,C_word *av) C_noret;
static void C_ccall trf_2359(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2359(t0,t1,t2,t3);}

C_noret_decl(trf_2408)
static void C_ccall trf_2408(C_word c,C_word *av) C_noret;
static void C_ccall trf_2408(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2408(t0,t1,t2,t3);}

C_noret_decl(trf_2336)
static void C_ccall trf_2336(C_word c,C_word *av) C_noret;
static void C_ccall trf_2336(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2336(t0,t1,t2,t3);}

C_noret_decl(trf_1597)
static void C_ccall trf_1597(C_word c,C_word *av) C_noret;
static void C_ccall trf_1597(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1597(t0,t1,t2);}

C_noret_decl(trf_1819)
static void C_ccall trf_1819(C_word c,C_word *av) C_noret;
static void C_ccall trf_1819(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1819(t0,t1,t2);}

C_noret_decl(trf_1488)
static void C_ccall trf_1488(C_word c,C_word *av) C_noret;
static void C_ccall trf_1488(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_1488(t0,t1,t2);}

C_noret_decl(trf_1103)
static void C_ccall trf_1103(C_word c,C_word *av) C_noret;
static void C_ccall trf_1103(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1103(t0,t1);}

C_noret_decl(trf_2599)
static void C_ccall trf_2599(C_word c,C_word *av) C_noret;
static void C_ccall trf_2599(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2599(t0,t1,t2);}

C_noret_decl(trf_2587)
static void C_ccall trf_2587(C_word c,C_word *av) C_noret;
static void C_ccall trf_2587(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2587(t0,t1,t2);}

C_noret_decl(trf_2383)
static void C_ccall trf_2383(C_word c,C_word *av) C_noret;
static void C_ccall trf_2383(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2383(t0,t1,t2);}

C_noret_decl(trf_1371)
static void C_ccall trf_1371(C_word c,C_word *av) C_noret;
static void C_ccall trf_1371(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_1371(t0,t1);}

C_noret_decl(trf_2501)
static void C_ccall trf_2501(C_word c,C_word *av) C_noret;
static void C_ccall trf_2501(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2501(t0,t1);}

C_noret_decl(trf_1361)
static void C_ccall trf_1361(C_word c,C_word *av) C_noret;
static void C_ccall trf_1361(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_1361(t0,t1,t2,t3);}

C_noret_decl(trf_2249)
static void C_ccall trf_2249(C_word c,C_word *av) C_noret;
static void C_ccall trf_2249(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2249(t0,t1);}

/* k2219 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2221,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1671 in k1665 in default-exception-handler in k900 in k897 */
static void C_ccall f_1673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1673,2,av);}
/* scheduler.scm:389: ##sys#schedule */
t2=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_1722(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1722,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(11));
if(C_truep(C_i_pairp(t3))){
t4=C_u_i_cdr(t3);
t5=C_eqp(t4,C_SCHEME_TRUE);
t6=(C_truep(t5)?t5:C_eqp(t4,lf[20]));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_eqp(t4,C_SCHEME_FALSE);
t8=(C_truep(t7)?t7:C_eqp(t4,lf[21]));
if(C_truep(t8)){
t9=C_set_block_item(((C_word*)t0)[3],0,C_SCHEME_TRUE);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_eqp(t4,lf[22]);
if(C_truep(t9)){
t10=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t11=C_set_block_item(((C_word*)t0)[3],0,C_SCHEME_TRUE);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1765,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:420: open-output-string */
t11=*((C_word*)lf[30]+1);{
C_word av2[2];
av2[0]=t11;
av2[1]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_2052(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(65,0,4)))){
C_save_and_reclaim_args((void *)trf_2052,4,t0,t1,t2,t3);}
a=C_alloc(65);
if(C_truep(C_i_nullp(t2))){
if(C_truep(C_i_nullp(t3))){
t4=((C_word*)t0)[2];
t5=C_s_a_i_minus(&a,2,t4,C_fix(1));
t6=((C_word*)t0)[3];
t7=C_s_a_i_plus(&a,2,t6,C_fix(1));
t8=C_slot(((C_word*)t0)[4],C_fix(1));
/* scheduler.scm:484: loop */
t9=((C_word*)((C_word*)t0)[5])[1];
f_2025(t9,t1,t5,t7,t8);}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[6],t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2087,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=((C_word*)t0)[2];
t8=C_s_a_i_minus(&a,2,t7,C_fix(1));
t9=((C_word*)t0)[3];
t10=C_s_a_i_plus(&a,2,t9,C_fix(1));
t11=C_slot(((C_word*)t0)[4],C_fix(1));
/* scheduler.scm:486: loop */
t12=((C_word*)((C_word*)t0)[5])[1];
f_2025(t12,t6,t8,t10,t11);}}
else{
t4=C_u_i_car(t2);
t5=t4;
t6=C_slot(t5,C_fix(11));
t7=t6;
if(C_truep(C_slot(t5,C_fix(13)))){
t8=t2;
t9=C_u_i_cdr(t8);
/* scheduler.scm:492: loop2 */
t23=t1;
t24=t9;
t25=t3;
t1=t23;
t2=t24;
t3=t25;
goto loop;}
else{
if(C_truep(C_i_pairp(t7))){
t8=C_u_i_car(t7);
t9=C_eqp(((C_word*)t0)[6],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2174,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=t3,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t11=C_u_i_cdr(t7);
t12=t10;
t13=((C_word*)t0)[8];
t14=((C_word*)t0)[9];
t15=t11;
t16=C_eqp(t15,C_SCHEME_TRUE);
t17=(C_truep(t16)?t16:C_eqp(t15,lf[20]));
if(C_truep(t17)){
t18=t12;{
C_word av2[2];
av2[0]=t18;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
t18=C_eqp(t15,C_SCHEME_FALSE);
t19=(C_truep(t18)?t18:C_eqp(t15,lf[21]));
if(C_truep(t19)){
t20=t12;{
C_word av2[2];
av2[0]=t20;
av2[1]=t14;
((C_proc)(void*)(*((C_word*)t20+1)))(2,av2);}}
else{
t20=C_eqp(t15,lf[22]);
if(C_truep(t20)){
t21=t12;{
C_word av2[2];
av2[0]=t21;
av2[1]=(C_truep(t13)?t13:t14);
((C_proc)(void*)(*((C_word*)t21+1)))(2,av2);}}
else{
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1878,a[2]=t12,a[3]=t14,a[4]=t13,a[5]=t15,tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:433: open-output-string */
t22=*((C_word*)lf[30]+1);{
C_word av2[2];
av2[0]=t22;
av2[1]=t21;
((C_proc)(void*)(*((C_word*)t22+1)))(2,av2);}}}}}
else{
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2145,a[2]=t1,a[3]=((C_word*)t0)[6],a[4]=t7,tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:501: open-output-string */
t11=*((C_word*)lf[30]+1);{
C_word av2[2];
av2[0]=t11;
av2[1]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2121,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=t3,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_slot(t5,C_fix(4)))){
/* scheduler.scm:497: ##sys#remove-from-timeout-list */
t9=*((C_word*)lf[19]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
t9=t8;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_2121(2,av2);}}}}}}

/* for-each-loop673 in g651 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_fcall f_2608(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2608,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2618,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:622: g674 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1827 in for-each-loop388 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1829,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1819(t3,((C_word*)t0)[4],t2);}

/* loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_1711(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(25,0,3)))){
C_save_and_reclaim_args((void *)trf_1711,3,t0,t1,t2);}
a=C_alloc(25);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_u_i_caar(t2);
t4=t3;
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_FALSE;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1722,a[2]=t6,a[3]=t8,a[4]=t4,a[5]=((C_word)li5),tmp=(C_word)a,a+=6,tmp);
t10=t2;
t11=C_u_i_car(t10);
t12=C_u_i_cdr(t11);
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1807,a[2]=t6,a[3]=t8,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1819,a[2]=t15,a[3]=t9,a[4]=((C_word)li6),tmp=(C_word)a,a+=5,tmp));
t17=((C_word*)t15)[1];
f_1819(t17,t13,t12);}}

/* k2650 in for-each-loop650 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2652,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2642(t3,((C_word*)t0)[4],t2);}

/* k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_fcall f_1547(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1547,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1550,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:350: ##sys#remove-from-timeout-list */
t3=*((C_word*)lf[19]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_1541,2,av);}
a=C_alloc(9);
t2=C_slot(((C_word*)t0)[2],C_fix(11));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1547,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_structurep(t3,lf[52]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1628,a[2]=t4,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t3,C_fix(2));
/* scheduler.scm:347: delq */
f_904(t5,((C_word*)t0)[2],t6);}
else{
if(C_truep(C_i_structurep(t3,lf[53]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1645,a[2]=t4,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t3,C_fix(12));
/* scheduler.scm:349: delq */
f_904(t5,((C_word*)t0)[2],t6);}
else{
t5=C_SCHEME_UNDEFINED;
t6=t4;
f_1547(t6,t5);}}}

/* for-each-loop640 in k2584 in kill-other-threads in k900 in k897 */
static void C_fcall f_2665(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2665,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2675,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:621: g641 */
t5=((C_word*)t0)[3];
f_2587(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in remove-from-timeout-list in k900 in k897 */
static C_word C_fcall f_1306(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
loop:{}
if(C_truep(C_i_nullp(t1))){
t3=t1;
return(t3);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_slot(t1,C_fix(1));
t5=C_slot(t3,C_fix(1));
t6=C_eqp(t5,((C_word*)t0)[2]);
if(C_truep(t6)){
if(C_truep(t2)){
return(C_i_setslot(t2,C_fix(1),t4));}
else{
t7=C_mutate2(&lf[12] /* (set! ##sys#timeout-list ...) */,t4);
return(t7);}}
else{
t9=t4;
t10=t1;
t1=t9;
t2=t10;
goto loop;}}}

/* ##sys#remove-from-timeout-list in k900 in k897 */
static void C_ccall f_1300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1300,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1306,a[2]=t2,a[3]=((C_word)li16),tmp=(C_word)a,a+=4,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_1306(t3,lf[12],C_SCHEME_FALSE)
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#thread-kill! in k900 in k897 */
static void C_ccall f_1537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_1537,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1541,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_slot(t5,C_fix(8));
if(C_truep(C_i_nullp(t6))){
t7=C_SCHEME_UNDEFINED;
t8=t4;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
f_1541(2,av2);}}
else{
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1514,a[2]=t8,a[3]=((C_word)li24),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_1514(t10,t4,t6);}}

/* k1089 in k1086 in loop in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1091,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
/* scheduler.scm:200: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_1055(t4,((C_word*)t0)[4],t3);}

/* k2630 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2632,2,av);}
a=C_alloc(4);
t2=lf[12] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t3=C_set_block_item(lf[13] /* ##sys#fd-list */,0,C_SCHEME_END_OF_LIST);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:625: thunk */
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k2635 in k2630 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2637,2,av);}
/* scheduler.scm:626: exit */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1900 in k1897 in k1894 in k1891 in k1888 in k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_1902,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1905,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:433: get-output-string */
t3=*((C_word*)lf[24]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1903 in k1900 in k1897 in k1894 in k1891 in k1888 in k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1905,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in clear-i/o-state-for-thread! in k900 in k897 */
static void C_fcall f_2265(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_2265,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_u_i_car(t2);
t4=t3;
t5=C_u_i_car(t4);
t6=C_eqp(((C_word*)t0)[2],t5);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2287,a[2]=t2,a[3]=t1,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=C_u_i_cdr(t4);
/* scheduler.scm:523: delq */
f_904(t7,((C_word*)t0)[3],t8);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2306,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t8=t2;
t9=C_u_i_cdr(t8);
/* scheduler.scm:528: loop */
t11=t7;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}}

/* k2261 in clear-i/o-state-for-thread! in k900 in k897 */
static void C_ccall f_2263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2263,2,av);}
t2=C_mutate2((C_word*)lf[13]+1 /* (set! ##sys#fd-list ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k1522 in for-each-loop282 in thread-kill! in k900 in k897 */
static void C_ccall f_1524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1524,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1514(t3,((C_word*)t0)[4],t2);}

/* k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_1765,2,av);}
a=C_alloc(7);
t2=t1;
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[23]);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1771,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:420: ##sys#print */
t6=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[36];
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* k1086 in loop in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_1088,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1091,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:199: ##sys#thread-basic-unblock! */
t3=*((C_word*)lf[18]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* for-each-loop650 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_fcall f_2642(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2642,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2652,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:622: g651 */
t5=((C_word*)t0)[3];
f_2599(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1126 in k1101 in loop in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1128,2,av);}
/* scheduler.scm:210: inexact->exact */
t2=*((C_word*)lf[39]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k1119 in k1107 in k1101 in loop in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1121,2,av);}
if(C_truep(C_msleep(t1))){
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_mk_bool(C_signal_interrupted_p);
t3=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k900 in k897 */
static void C_ccall f_902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(73,c,5)))){
C_save_and_reclaim((void *)f_902,2,av);}
a=C_alloc(73);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_mutate2(&lf[1] /* (set! delq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_904,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[2]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_947,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[17]+1 /* (set! ##sys#force-primordial ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1162,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t6=lf[15] /* ready-queue-head */ =C_SCHEME_END_OF_LIST;;
t7=lf[16] /* ready-queue-tail */ =C_SCHEME_END_OF_LIST;;
t8=C_mutate2((C_word*)lf[44]+1 /* (set! ##sys#ready-queue ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1173,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[41]+1 /* (set! ##sys#add-to-ready-queue ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1176,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t10=*((C_word*)lf[45]+1);
t11=C_mutate2((C_word*)lf[45]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1275,a[2]=t10,a[3]=((C_word)li15),tmp=(C_word)a,a+=4,tmp));
t12=lf[12] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t13=C_mutate2((C_word*)lf[19]+1 /* (set! ##sys#remove-from-timeout-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1300,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[46]+1 /* (set! ##sys#thread-block-for-timeout! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1341,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[48]+1 /* (set! ##sys#thread-block-for-termination! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1407,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[51]+1 /* (set! ##sys#thread-kill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1537,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate2((C_word*)lf[18]+1 /* (set! ##sys#thread-basic-unblock! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1651,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate2((C_word*)lf[54]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1663,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t19=C_set_block_item(lf[13] /* ##sys#fd-list */,0,C_SCHEME_END_OF_LIST);
t20=C_mutate2((C_word*)lf[58]+1 /* (set! ##sys#thread-block-for-i/o! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1923,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate2(&lf[38] /* (set! ##sys#clear-i/o-state-for-thread! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2249,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate2((C_word*)lf[59]+1 /* (set! ##sys#all-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2318,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate2((C_word*)lf[62]+1 /* (set! ##sys#fetch-and-clear-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2462,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate2((C_word*)lf[63]+1 /* (set! ##sys#restore-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2472,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate2((C_word*)lf[43]+1 /* (set! ##sys#thread-unblock! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2491,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate2((C_word*)lf[65]+1 /* (set! ##sys#thread-sleep! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2523,a[2]=((C_word)li44),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate2((C_word*)lf[66]+1 /* (set! ##sys#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2547,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t28=*((C_word*)lf[68]+1);
t29=C_mutate2((C_word*)lf[69]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2558,a[2]=t28,a[3]=((C_word)li52),tmp=(C_word)a,a+=4,tmp));
t30=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t30;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t30+1)))(2,av2);}}

/* delq in k900 in k897 */
static void C_fcall f_904(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_904,3,t1,t2,t3);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_910,a[2]=t2,a[3]=t5,a[4]=((C_word)li0),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_910(t7,t1,t3);}

/* for-each-loop282 in thread-kill! in k900 in k897 */
static void C_fcall f_1514(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,3)))){
C_save_and_reclaim_args((void *)trf_1514,3,t0,t1,t2);}
a=C_alloc(15);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1524,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=C_i_set_i_slot(t6,C_fix(2),C_SCHEME_FALSE);
t8=C_i_set_i_slot(t6,C_fix(4),C_SCHEME_TRUE);
t9=C_i_set_i_slot(t6,C_fix(5),C_SCHEME_FALSE);
t10=C_slot(t6,C_fix(3));
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1472,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t10))){
t12=t5;{
C_word av2[2];
av2[0]=t12;
av2[1]=C_i_set_i_slot(t6,C_fix(3),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1488,a[2]=t13,a[3]=((C_word)li23),tmp=(C_word)a,a+=4,tmp));
t15=((C_word*)t13)[1];
f_1488(t15,t11,t10);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in delq in k900 in k897 */
static void C_fcall f_910(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_910,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_eqp(((C_word*)t0)[2],t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_937,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
t8=C_slot(t2,C_fix(1));
/* scheduler.scm:162: loop */
t10=t7;
t11=t8;
t1=t10;
t2=t11;
goto loop;}}}

/* k2021 in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2023,2,av);}
t2=C_mutate2((C_word*)lf[13]+1 /* (set! ##sys#fd-list ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_2025(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(33,0,4)))){
C_save_and_reclaim_args((void *)trf_2025,5,t0,t1,t2,t3,t4);}
a=C_alloc(33);
t5=t2;
t6=C_i_zerop(t5);
t7=(C_truep(t6)?t6:C_i_nullp(t4));
if(C_truep(t7)){
t8=t4;
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_u_i_car(t4);
t9=t8;
t10=C_u_i_car(t9);
t11=t10;
t12=C_fd_input_ready(t11,t3);
t13=C_fd_output_ready(t11,t3);
t14=(C_truep(t12)?t12:t13);
if(C_truep(t14)){
t15=C_u_i_cdr(t9);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2052,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=((C_word*)t0)[2],a[6]=t11,a[7]=t17,a[8]=t12,a[9]=t13,a[10]=((C_word)li3),tmp=(C_word)a,a+=11,tmp));
t19=((C_word*)t17)[1];
f_2052(t19,t1,t15,C_SCHEME_END_OF_LIST);}
else{
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2221,a[2]=t1,a[3]=t9,tmp=(C_word)a,a+=4,tmp);
t16=t3;
t17=C_s_a_i_plus(&a,2,t16,C_fix(1));
t18=t4;
t19=C_u_i_cdr(t18);
/* scheduler.scm:508: loop */
t21=t15;
t22=t2;
t23=t17;
t24=t19;
t1=t21;
t2=t22;
t3=t23;
t4=t24;
goto loop;}}}

/* k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_1999,2,av);}
a=C_alloc(9);
t2=(C_truep(((C_word*)t0)[2])?stub504(C_SCHEME_UNDEFINED,((C_word*)t0)[2],t1):stub504(C_SCHEME_UNDEFINED,((C_word*)t0)[3],t1));
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
/* scheduler.scm:467: ##sys#force-primordial */
t4=*((C_word*)lf[17]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2023,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2025,a[2]=t6,a[3]=((C_word)li4),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_2025(t8,t4,t2,C_fix(0),*((C_word*)lf[13]+1));}
else{
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,c,3)))){
C_save_and_reclaim((void *)f_1990,2,av);}
a=C_alloc(41);
t2=C_i_pairp(lf[12]);
t3=t2;
t4=C_i_pairp(lf[15]);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1999,a[2]=t5,a[3]=t3,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t7=(C_truep(t3)?C_i_not(t5):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=C_u_i_caar(lf[12]);
t9=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
t10=C_s_a_i_minus(&a,2,t8,t9);
/* scheduler.scm:459: max */
t11=*((C_word*)lf[33]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t11;
av2[1]=t6;
av2[2]=C_fix(0);
av2[3]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}
else{
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=lf[34];
f_1999(2,av2);}}}

/* k1643 in k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1645,2,av);}
t2=((C_word*)t0)[2];
f_1547(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k975 in schedule in k900 in k897 */
static void C_ccall f_977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_977,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_982,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li9),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_982(t5,((C_word*)t0)[3]);}

/* f_2453 in all-threads in k900 in k897 */
static void C_ccall f_2453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2453,6,av);}
a=C_alloc(3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#thread-block-for-termination! in k900 in k897 */
static void C_ccall f_1407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1407,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(3));
t5=C_eqp(t4,lf[49]);
t6=(C_truep(t5)?t5:C_eqp(t4,lf[50]));
if(C_truep(t6)){
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(12));
t8=C_a_i_cons(&a,2,t2,t7);
t9=C_i_setslot(t3,C_fix(12),t8);
t10=C_i_setslot(t2,C_fix(3),lf[47]);
t11=C_i_set_i_slot(t2,C_fix(13),C_SCHEME_FALSE);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_i_setslot(t2,C_fix(11),t3);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* ##sys#fetch-and-clear-threads in k900 in k897 */
static void C_ccall f_2462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_2462,2,av);}
a=C_alloc(5);
t2=C_a_i_vector4(&a,4,lf[15],lf[16],*((C_word*)lf[13]+1),lf[12]);
t3=lf[15] /* ready-queue-head */ =C_SCHEME_END_OF_LIST;;
t4=lf[16] /* ready-queue-tail */ =C_SCHEME_END_OF_LIST;;
t5=C_set_block_item(lf[13] /* ##sys#fd-list */,0,C_SCHEME_END_OF_LIST);
t6=lf[12] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#thread-unblock! in k900 in k897 */
static void C_ccall f_2491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2491,3,av);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(3));
t4=C_eqp(lf[47],t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2501,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_2501(t6,t4);}
else{
t6=C_slot(t2,C_fix(3));
t7=t5;
f_2501(t7,C_eqp(lf[64],t6));}}

/* k2673 in for-each-loop640 in k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2675(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2675,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2665(t3,((C_word*)t0)[4],t2);}

/* loop in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_1055(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_1055,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=lf[12] /* ##sys#timeout-list */ =C_SCHEME_END_OF_LIST;;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_u_i_caar(t2);
t4=t2;
t5=C_u_i_car(t4);
t6=C_u_i_cdr(t5);
t7=C_slot(t6,C_fix(4));
if(C_truep(C_i_equalp(t3,t7))){
if(C_truep(C_i_greater_or_equalp(((C_word*)t0)[2],t3))){
t8=C_i_set_i_slot(t6,C_fix(13),C_SCHEME_TRUE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1088,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:198: ##sys#clear-i/o-state-for-thread! */
f_2249(t9,t6);}
else{
t8=C_mutate2(&lf[12] /* (set! ##sys#timeout-list ...) */,t2);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1103,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_nullp(lf[15]))){
t10=C_i_nullp(*((C_word*)lf[13]+1));
t11=t9;
f_1103(t11,(C_truep(t10)?C_i_pairp(lf[12]):C_SCHEME_FALSE));}
else{
t10=t9;
f_1103(t10,C_SCHEME_FALSE);}}}
else{
t8=t2;
t9=C_u_i_cdr(t8);
/* scheduler.scm:217: loop */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}}}

/* ##sys#restore-threads in k900 in k897 */
static void C_ccall f_2472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2472,3,av);}
t3=C_slot(t2,C_fix(0));
t4=C_mutate2(&lf[15] /* (set! ready-queue-head ...) */,t3);
t5=C_slot(t2,C_fix(1));
t6=C_mutate2(&lf[16] /* (set! ready-queue-tail ...) */,t5);
t7=C_slot(t2,C_fix(2));
t8=C_mutate2((C_word*)lf[13]+1 /* (set! ##sys#fd-list ...) */,t7);
t9=C_slot(t2,C_fix(3));
t10=C_mutate2(&lf[12] /* (set! ##sys#timeout-list ...) */,t9);
t11=t1;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}

/* a1292 in interrupt-hook in k900 in k897 */
static void C_ccall f_1293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1293,2,av);}
/* scheduler.scm:282: oldhook */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2422 in loop in loop in loop in all-threads in k900 in k897 */
static void C_ccall f_2424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2424,2,av);}
/* scheduler.scm:551: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2408(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k1569 in k1551 in k1548 in k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1571,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_set_i_slot(((C_word*)t0)[3],C_fix(12),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* g331 in k1551 in k1548 in k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_fcall f_1578(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_1578,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(11));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
/* scheduler.scm:362: ##sys#thread-basic-unblock! */
t5=*((C_word*)lf[18]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k987 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_989,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_994,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li2),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_994(t5,((C_word*)t0)[3]);}

/* k2085 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2087,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_986,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_989,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
/* scheduler.scm:220: ##sys#force-primordial */
t3=*((C_word*)lf[17]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_nullp(*((C_word*)lf[13]+1)))){
t3=C_SCHEME_UNDEFINED;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
f_989(2,av2);}}
else{
t3=t2;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1990,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1844,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:397: ##sys#length */
t7=*((C_word*)lf[37]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=*((C_word*)lf[13]+1);
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_982(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,0,3)))){
C_save_and_reclaim_args((void *)trf_982,2,t0,t1);}
a=C_alloc(20);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_986,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_nullp(lf[12]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_986(2,av2);}}
else{
t3=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1055,a[2]=t3,a[3]=t5,a[4]=((C_word*)t0)[3],a[5]=((C_word)li8),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_1055(t7,t2,lf[12]);}}

/* k2164 in k2161 in k2158 in k2155 in k2152 in k2149 in k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2166,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1277 in interrupt-hook in k900 in k897 */
static void C_ccall f_1279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_1279,2,av);}
/* scheduler.scm:284: oldhook */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2161 in k2158 in k2155 in k2152 in k2149 in k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2163,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2166,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:501: get-output-string */
t3=*((C_word*)lf[24]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#interrupt-hook in k900 in k897 */
static void C_ccall f_1275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_1275,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1279,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=C_eqp(t2,C_fix(255));
if(C_truep(t5)){
t6=*((C_word*)lf[3]+1);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1293,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word)li14),tmp=(C_word)a,a+=6,tmp);
t8=C_i_setslot(*((C_word*)lf[3]+1),C_fix(1),t7);
/* scheduler.scm:283: ##sys#schedule */
t9=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
/* scheduler.scm:284: oldhook */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k2158 in k2155 in k2152 in k2149 in k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2160,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2163,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:501: ##sys#write-char-0 */
t3=*((C_word*)lf[25]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k996 in loop2 in k987 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_998(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_998,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(3));
t3=C_eqp(t2,lf[10]);
if(C_truep(t3)){
t4=((C_word*)t0)[2];
t5=t1;
t6=C_mutate2((C_word*)lf[3]+1 /* (set! ##sys#current-thread ...) */,t5);
t7=C_i_setslot(t5,C_fix(3),lf[11]);
t8=C_slot(t5,C_fix(5));
t9=C_slot(t8,C_fix(0));
t10=C_mutate2((C_word*)lf[4]+1 /* (set! ##sys#dynamic-winds ...) */,t9);
t11=C_slot(t8,C_fix(1));
t12=C_mutate2((C_word*)lf[5]+1 /* (set! ##sys#standard-input ...) */,t11);
t13=C_slot(t8,C_fix(2));
t14=C_mutate2((C_word*)lf[6]+1 /* (set! ##sys#standard-output ...) */,t13);
t15=C_slot(t8,C_fix(3));
t16=C_mutate2((C_word*)lf[7]+1 /* (set! ##sys#standard-error ...) */,t15);
t17=C_slot(t8,C_fix(4));
t18=C_mutate2((C_word*)lf[8]+1 /* (set! ##sys#current-exception-handler ...) */,t17);
t19=C_slot(t8,C_fix(5));
t20=C_mutate2((C_word*)lf[9]+1 /* (set! ##sys#current-parameter-vector ...) */,t19);
t21=C_slot(t5,C_fix(9));
t22=C_set_initial_timer_interrupt_period(t21);
t23=C_slot(t5,C_fix(1));
/* g158159 */
t24=t23;{
C_word av2[2];
av2[0]=t24;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t24+1)))(2,av2);}}
else{
/* scheduler.scm:231: loop2 */
t4=((C_word*)((C_word*)t0)[3])[1];
f_994(t4,((C_word*)t0)[2]);}}
else{
if(C_truep(C_i_nullp(lf[12]))){
if(C_truep(C_i_nullp(*((C_word*)lf[13]+1)))){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_halt(lf[14]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* scheduler.scm:229: loop1 */
t2=((C_word*)((C_word*)t0)[4])[1];
f_982(t2,((C_word*)t0)[2]);}}
else{
/* scheduler.scm:229: loop1 */
t2=((C_word*)((C_word*)t0)[4])[1];
f_982(t2,((C_word*)t0)[2]);}}}

/* loop2 in k987 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_994(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_994,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_998,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=lf[15];
if(C_truep(C_i_nullp(lf[15]))){
t4=t2;
f_998(t4,C_SCHEME_FALSE);}
else{
t4=C_slot(t3,C_fix(1));
t5=C_mutate2(&lf[15] /* (set! ready-queue-head ...) */,t4);
t6=C_eqp(C_SCHEME_END_OF_LIST,t4);
if(C_truep(t6)){
t7=lf[16] /* ready-queue-tail */ =C_SCHEME_END_OF_LIST;;
t8=C_u_i_car(t3);
t9=t2;
f_998(t9,t8);}
else{
t7=C_u_i_car(t3);
t8=t2;
f_998(t8,t7);}}}

/* loop in thread-block-for-i/o! in k900 in k897 */
static void C_fcall f_1942(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_1942,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_list2(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_a_i_cons(&a,2,t3,*((C_word*)lf[13]+1));
t5=C_mutate2((C_word*)lf[13]+1 /* (set! ##sys#fd-list ...) */,t4);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t3=C_u_i_car(t2);
t4=C_u_i_car(t3);
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t3);
t7=C_a_i_cons(&a,2,((C_word*)t0)[3],t6);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_i_setslot(t3,C_fix(1),t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t6=t2;
t7=C_u_i_cdr(t6);
/* scheduler.scm:446: loop */
t9=t1;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}}

/* loop in loop in all-threads in k900 in k897 */
static void C_fcall f_2359(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_2359,4,t0,t1,t2,t3);}
a=C_alloc(14);
if(C_truep(C_i_pairp(t2))){
t4=t2;
t5=C_u_i_cdr(t4);
t6=C_u_i_caar(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2378,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t9=t2;
t10=C_u_i_car(t9);
t11=C_u_i_cdr(t10);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2383,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t7,a[5]=t13,a[6]=((C_word)li34),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_2383(t15,t8,t11);}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2408,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word)li35),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2408(t7,t1,lf[12],t3);}}

/* loop in loop in loop in all-threads in k900 in k897 */
static void C_fcall f_2408(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,5)))){
C_save_and_reclaim_args((void *)trf_2408,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t4=t2;
t5=C_u_i_cdr(t4);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2424,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_u_i_caar(t2);
t8=t2;
t9=C_u_i_car(t8);
t10=C_u_i_cdr(t9);
/* scheduler.scm:551: cns */
t11=((C_word*)t0)[3];{
C_word av2[6];
av2[0]=t11;
av2[1]=t6;
av2[2]=lf[61];
av2[3]=t7;
av2[4]=t10;
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t11+1)))(6,av2);}}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k2399 in loop in loop in loop in all-threads in k900 in k897 */
static void C_ccall f_2401(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2401,2,av);}
/* scheduler.scm:548: cns */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[60];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k2350 in loop in all-threads in k900 in k897 */
static void C_ccall f_2352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2352,2,av);}
/* scheduler.scm:541: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2336(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k2175 in k2172 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2177,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2180,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:505: ##sys#thread-basic-unblock! */
t3=*((C_word*)lf[18]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k2172 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2174,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2177,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_slot(((C_word*)t0)[6],C_fix(4)))){
/* scheduler.scm:504: ##sys#remove-from-timeout-list */
t3=*((C_word*)lf[19]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_2177(2,av2);}}}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=C_a_i_cons(&a,2,((C_word*)t0)[6],((C_word*)t0)[5]);
/* scheduler.scm:507: loop2 */
t5=((C_word*)((C_word*)t0)[3])[1];
f_2052(t5,((C_word*)t0)[4],t3,t4);}}

/* k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_2145,2,av);}
a=C_alloc(7);
t2=t1;
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[23]);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2151,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:501: ##sys#print */
t6=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[32];
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* k1778 in k1775 in k1772 in k1769 in k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1780,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1783,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:420: ##sys#write-char-0 */
t3=*((C_word*)lf[25]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k1781 in k1778 in k1775 in k1772 in k1769 in k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_1783,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1786,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:420: get-output-string */
t3=*((C_word*)lf[24]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k1784 in k1781 in k1778 in k1775 in k1772 in k1769 in k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1786,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k935 in loop in delq in k900 in k897 */
static void C_ccall f_937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_937,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1626 in k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1628,2,av);}
t2=((C_word*)t0)[2];
f_1547(t2,C_i_setslot(((C_word*)t0)[3],C_fix(2),t1));}

/* ##sys#thread-block-for-i/o! in k900 in k897 */
static void C_ccall f_1923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_1923,5,av);}
a=C_alloc(14);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1927,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1942,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li29),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_1942(t9,t5,*((C_word*)lf[13]+1));}

/* k1925 in thread-block-for-i/o! in k900 in k897 */
static void C_ccall f_1927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1927,2,av);}
a=C_alloc(3);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(3),lf[47]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(13),C_SCHEME_FALSE);
t4=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(((C_word*)t0)[2],C_fix(11),t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* loop in all-threads in k900 in k897 */
static void C_fcall f_2336(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,5)))){
C_save_and_reclaim_args((void *)trf_2336,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_pairp(t2))){
t4=t2;
t5=C_u_i_cdr(t4);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2352,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=t2;
t8=C_u_i_car(t7);
/* scheduler.scm:541: cns */
t9=((C_word*)t0)[3];{
C_word av2[6];
av2[0]=t9;
av2[1]=t6;
av2[2]=lf[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=t8;
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2359,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word)li36),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2359(t7,t1,*((C_word*)lf[13]+1),t3);}}

/* k2155 in k2152 in k2149 in k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_2157,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2160,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:501: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k2152 in k2149 in k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_2154,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2157,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:501: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[31];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1769 in k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1771,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1774,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:420: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k2149 in k2143 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_2151,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2154,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_u_i_car(((C_word*)t0)[6]);
/* scheduler.scm:501: ##sys#print */
t4=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k1775 in k1772 in k1769 in k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_1777,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1780,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:420: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1772 in k1769 in k1763 in g389 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1774,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1777,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:420: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[35];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* ##sys#schedule in k900 in k897 */
static void C_ccall f_947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_947,2,av);}
a=C_alloc(6);
t2=*((C_word*)lf[3]+1);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_slot(*((C_word*)lf[3]+1),C_fix(3));
t6=C_slot(*((C_word*)lf[3]+1),C_fix(5));
t7=C_i_setslot(t6,C_fix(0),*((C_word*)lf[4]+1));
t8=C_i_setslot(t6,C_fix(1),*((C_word*)lf[5]+1));
t9=C_i_setslot(t6,C_fix(2),*((C_word*)lf[6]+1));
t10=C_i_setslot(t6,C_fix(3),*((C_word*)lf[7]+1));
t11=C_i_setslot(t6,C_fix(4),*((C_word*)lf[8]+1));
t12=C_i_setslot(t6,C_fix(5),*((C_word*)lf[9]+1));
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_977,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t14=C_eqp(t5,lf[11]);
t15=(C_truep(t14)?t14:C_eqp(t5,lf[10]));
if(C_truep(t15)){
t16=C_i_set_i_slot(*((C_word*)lf[3]+1),C_fix(13),C_SCHEME_FALSE);
/* scheduler.scm:182: ##sys#add-to-ready-queue */
t17=*((C_word*)lf[41]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t17;
av2[1]=t13;
av2[2]=*((C_word*)lf[3]+1);
((C_proc)(void*)(*((C_word*)t17+1)))(3,av2);}}
else{
t16=t13;{
C_word *av2=av;
av2[0]=t16;
av2[1]=C_SCHEME_UNDEFINED;
f_977(2,av2);}}}

/* k2304 in loop in clear-i/o-state-for-thread! in k900 in k897 */
static void C_ccall f_2306(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_2306,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2122 in k2119 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2124,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
/* scheduler.scm:499: loop2 */
t4=((C_word*)((C_word*)t0)[3])[1];
f_2052(t4,((C_word*)t0)[4],t3,((C_word*)t0)[5]);}

/* k2119 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_2121,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2124,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:498: ##sys#thread-basic-unblock! */
t3=*((C_word*)lf[18]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k2285 in loop in clear-i/o-state-for-thread! in k900 in k897 */
static void C_ccall f_2287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2287,2,av);}
if(C_truep(C_i_nullp(t1))){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_i_setslot(((C_word*)t0)[4],C_fix(1),t1);
t3=((C_word*)t0)[2];
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1605 in for-each-loop330 in k1551 in k1548 in k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1607,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1597(t3,((C_word*)t0)[4],t2);}

/* for-each-loop330 in k1551 in k1548 in k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_fcall f_1597(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1597,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1607,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:358: g331 */
t5=((C_word*)t0)[3];
f_1578(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1470 in for-each-loop282 in thread-kill! in k900 in k897 */
static void C_ccall f_1472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1472,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_set_i_slot(((C_word*)t0)[3],C_fix(3),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1665 in default-exception-handler in k900 in k897 */
static void C_ccall f_1667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_1667,2,av);}
a=C_alloc(3);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(7),((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1673,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:388: ##sys#thread-kill! */
t4=*((C_word*)lf[51]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[50];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* ##sys#default-exception-handler in k900 in k897 */
static void C_ccall f_1663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_1663,3,av);}
a=C_alloc(10);
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1667,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_mk_bool(C_abort_on_thread_exceptions))){
t5=*((C_word*)lf[42]+1);
t6=C_slot(*((C_word*)lf[42]+1),C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1687,a[2]=t7,a[3]=t2,a[4]=((C_word)li27),tmp=(C_word)a,a+=5,tmp);
t9=C_i_setslot(*((C_word*)lf[42]+1),C_fix(1),t8);
/* scheduler.scm:384: ##sys#thread-unblock! */
t10=*((C_word*)lf[43]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t4;
av2[2]=*((C_word*)lf[42]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
/* scheduler.scm:386: ##sys#show-exception-warning */
t5=*((C_word*)lf[56]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[57];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}}

/* k2376 in loop in loop in all-threads in k900 in k897 */
static void C_ccall f_2378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2378,2,av);}
/* scheduler.scm:544: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2359(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* for-each-loop388 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_1819(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1819,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1829,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:403: g389 */
t5=((C_word*)t0)[3];
f_1722(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#thread-basic-unblock! in k900 in k897 */
static void C_ccall f_1651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1651,3,av);}
t3=C_i_set_i_slot(t2,C_fix(11),C_SCHEME_FALSE);
t4=C_i_set_i_slot(t2,C_fix(4),C_SCHEME_FALSE);
/* scheduler.scm:370: ##sys#add-to-ready-queue */
t5=*((C_word*)lf[41]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k1805 in loop in k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1807,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
t3=((C_word*)((C_word*)t0)[3])[1];
t4=stub437(C_SCHEME_UNDEFINED,((C_word*)t0)[4],t2,t3);
t5=((C_word*)t0)[5];
t6=C_u_i_cdr(t5);
/* scheduler.scm:425: loop */
t7=((C_word*)((C_word*)t0)[6])[1];
f_1711(t7,((C_word*)t0)[7],t6);}

/* k1891 in k1888 in k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1893,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1896,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:433: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[27];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1894 in k1891 in k1888 in k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_1896,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1899,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:433: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1897 in k1894 in k1891 in k1888 in k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_1899,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1902,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:433: ##sys#write-char-0 */
t3=*((C_word*)lf[25]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k1888 in k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1890(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_1890,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1893,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:433: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_1884,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1887,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:433: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1885 in k1882 in k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_1887,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_1890,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* scheduler.scm:433: ##sys#print */
t3=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[28];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k1876 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_1878,2,av);}
a=C_alloc(8);
t2=t1;
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[23]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1884,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* scheduler.scm:433: ##sys#print */
t6=*((C_word*)lf[26]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[29];
av2[3]=C_SCHEME_FALSE;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}

/* k1496 in for-each-loop296 in for-each-loop282 in thread-kill! in k900 in k897 */
static void C_ccall f_1498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1498,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_1488(t3,((C_word*)t0)[4],t2);}

/* k897 */
static void C_ccall f_899(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_899,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_902,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_library_toplevel(2,av2);}}

/* ##sys#all-threads in k900 in k897 */
static void C_ccall f_2318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +10,c,6)))){
C_save_and_reclaim((void*)f_2318,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+10);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2453,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp):C_u_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_slot(t2,C_fix(1)));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_u_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_slot(t7,C_fix(1)));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2336,a[2]=t13,a[3]=t5,a[4]=((C_word)li37),tmp=(C_word)a,a+=5,tmp));
t15=((C_word*)t13)[1];
f_2336(t15,t1,lf[15],t9);}

/* for-each-loop296 in for-each-loop282 in thread-kill! in k900 in k897 */
static void C_fcall f_1488(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_1488,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1498,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* scheduler.scm:336: ##sys#thread-unblock! */
t5=*((C_word*)lf[43]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k1107 in k1101 in loop in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_1109,2,av);}
a=C_alloc(33);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1121,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_s_a_i_minus(&a,2,t1,((C_word*)t0)[4]);
/* scheduler.scm:214: max */
t4=*((C_word*)lf[33]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=C_fix(0);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k1101 in loop in loop1 in k975 in schedule in k900 in k897 */
static void C_fcall f_1103(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_1103,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=C_u_i_caar(lf[12]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1109,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1128,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:210: round */
t5=*((C_word*)lf[40]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* suspend in kill-other-threads in k900 in k897 */
static void C_ccall f_2561(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2561,3,av);}
t3=C_eqp(t2,((C_word*)t0)[2]);
t4=(C_truep(t3)?C_SCHEME_UNDEFINED:C_i_setslot(t2,C_fix(3),lf[70]));
t5=C_i_set_i_slot(t2,C_fix(11),C_SCHEME_FALSE);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(t2,C_fix(12),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#thread-block-for-timeout! in k900 in k897 */
static void C_ccall f_1341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_1341,4,av);}
a=C_alloc(13);
t4=t3;
if(C_truep(C_i_greaterp(t4,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1350,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1361,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li18),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_1361(t9,t5,lf[12],C_SCHEME_FALSE);}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_2598,2,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2599,a[2]=((C_word*)t0)[2],a[3]=((C_word)li49),tmp=(C_word)a,a+=4,tmp);
t3=*((C_word*)lf[13]+1);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2632,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2642,a[2]=t6,a[3]=t2,a[4]=((C_word)li50),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2642(t8,t4,*((C_word*)lf[13]+1));}

/* g651 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_fcall f_2599(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_2599,3,t0,t1,t2);}
a=C_alloc(7);
t3=((C_word*)t0)[2];
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2608,a[2]=t6,a[3]=t3,a[4]=((C_word)li48),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2608(t8,t1,t4);}

/* ##sys#force-primordial in k900 in k897 */
static void C_ccall f_1162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_1162,2,av);}
t2=C_i_set_i_slot(*((C_word*)lf[42]+1),C_fix(13),C_SCHEME_FALSE);
/* scheduler.scm:236: ##sys#thread-unblock! */
t3=*((C_word*)lf[43]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=*((C_word*)lf[42]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#sleep-hook in k900 in k897 */
static void C_ccall f_2547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(69,c,2)))){
C_save_and_reclaim((void *)f_2547,3,av);}
a=C_alloc(69);
t3=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
t4=C_s_a_i_times(&a,2,lf[67],t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
/* scheduler.scm:600: ##sys#thread-sleep! */
t6=*((C_word*)lf[65]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* a2540 in a2528 in thread-sleep! in k900 in k897 */
static void C_ccall f_2541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2541,2,av);}
/* scheduler.scm:591: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* g641 in k2584 in kill-other-threads in k900 in k897 */
static void C_fcall f_2587(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_2587,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* scheduler.scm:621: suspend */
t4=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
f_2561(3,av2);}}

/* k1548 in k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_1550,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1553,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* scheduler.scm:351: ##sys#clear-i/o-state-for-thread! */
f_2249(t2,((C_word*)t0)[2]);}

/* k1551 in k1548 in k1545 in k1539 in thread-kill! in k900 in k897 */
static void C_ccall f_1553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_1553,2,av);}
a=C_alloc(15);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(3),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),C_SCHEME_FALSE);
t4=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),C_SCHEME_FALSE);
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(8),C_SCHEME_END_OF_LIST);
t6=C_slot(((C_word*)t0)[2],C_fix(12));
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1571,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(12),C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1578,a[2]=((C_word*)t0)[2],a[3]=((C_word)li21),tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1597,a[2]=t10,a[3]=t8,a[4]=((C_word)li22),tmp=(C_word)a,a+=5,tmp));
t12=((C_word*)t10)[1];
f_1597(t12,t7,t6);}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_scheduler_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("scheduler"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_scheduler_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(393))){
C_save(t1);
C_rereclaim2(393*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,71);
lf[0]=C_h_intern(&lf[0],9,"scheduler");
lf[2]=C_h_intern(&lf[2],12,"\003sysschedule");
lf[3]=C_h_intern(&lf[3],18,"\003syscurrent-thread");
lf[4]=C_h_intern(&lf[4],17,"\003sysdynamic-winds");
lf[5]=C_h_intern(&lf[5],18,"\003sysstandard-input");
lf[6]=C_h_intern(&lf[6],19,"\003sysstandard-output");
lf[7]=C_h_intern(&lf[7],18,"\003sysstandard-error");
lf[8]=C_h_intern(&lf[8],29,"\003syscurrent-exception-handler");
lf[9]=C_h_intern(&lf[9],28,"\003syscurrent-parameter-vector");
lf[10]=C_h_intern(&lf[10],5,"ready");
lf[11]=C_h_intern(&lf[11],7,"running");
lf[13]=C_h_intern(&lf[13],11,"\003sysfd-list");
lf[14]=C_decode_literal(C_heaptop,"\376B\000\000\010deadlock");
lf[17]=C_h_intern(&lf[17],20,"\003sysforce-primordial");
lf[18]=C_h_intern(&lf[18],25,"\003systhread-basic-unblock!");
lf[19]=C_h_intern(&lf[19],28,"\003sysremove-from-timeout-list");
lf[20]=C_h_intern(&lf[20],6,"\000input");
lf[21]=C_h_intern(&lf[21],7,"\000output");
lf[22]=C_h_intern(&lf[22],4,"\000all");
lf[23]=C_h_intern(&lf[23],6,"format");
lf[24]=C_h_intern(&lf[24],17,"get-output-string");
lf[25]=C_h_intern(&lf[25],16,"\003syswrite-char-0");
lf[26]=C_h_intern(&lf[26],9,"\003sysprint");
lf[27]=C_decode_literal(C_heaptop,"\376B\000\000\006, o = ");
lf[28]=C_decode_literal(C_heaptop,"\376B\000\000\006 (i = ");
lf[29]=C_decode_literal(C_heaptop,"\376B\000\000#fdset-test: invalid i/o direction: ");
lf[30]=C_h_intern(&lf[30],18,"open-output-string");
lf[31]=C_decode_literal(C_heaptop,"\376B\000\000\013 (expected ");
lf[32]=C_decode_literal(C_heaptop,"\376B\000\0009thread is registered for I/O on unknown file-descriptor: ");
lf[33]=C_h_intern(&lf[33],3,"max");
lf[34]=C_decode_literal(C_heaptop,"\376U0.0\000");
lf[35]=C_decode_literal(C_heaptop,"\376B\000\000\007 (fd = ");
lf[36]=C_decode_literal(C_heaptop,"\376B\000\000%create-fdset: invalid i/o direction: ");
lf[37]=C_h_intern(&lf[37],10,"\003syslength");
lf[39]=C_h_intern(&lf[39],14,"inexact->exact");
lf[40]=C_h_intern(&lf[40],5,"round");
lf[41]=C_h_intern(&lf[41],22,"\003sysadd-to-ready-queue");
lf[42]=C_h_intern(&lf[42],21,"\003sysprimordial-thread");
lf[43]=C_h_intern(&lf[43],19,"\003systhread-unblock!");
lf[44]=C_h_intern(&lf[44],15,"\003sysready-queue");
lf[45]=C_h_intern(&lf[45],18,"\003sysinterrupt-hook");
lf[46]=C_h_intern(&lf[46],29,"\003systhread-block-for-timeout!");
lf[47]=C_h_intern(&lf[47],7,"blocked");
lf[48]=C_h_intern(&lf[48],33,"\003systhread-block-for-termination!");
lf[49]=C_h_intern(&lf[49],4,"dead");
lf[50]=C_h_intern(&lf[50],10,"terminated");
lf[51]=C_h_intern(&lf[51],16,"\003systhread-kill!");
lf[52]=C_h_intern(&lf[52],18,"condition-variable");
lf[53]=C_h_intern(&lf[53],6,"thread");
lf[54]=C_h_intern(&lf[54],29,"\003sysdefault-exception-handler");
lf[55]=C_h_intern(&lf[55],24,"chicken.condition#signal");
lf[56]=C_h_intern(&lf[56],26,"\003sysshow-exception-warning");
lf[57]=C_decode_literal(C_heaptop,"\376B\000\000\011in thread");
lf[58]=C_h_intern(&lf[58],25,"\003systhread-block-for-i/o!");
lf[59]=C_h_intern(&lf[59],15,"\003sysall-threads");
lf[60]=C_h_intern(&lf[60],3,"i/o");
lf[61]=C_h_intern(&lf[61],7,"timeout");
lf[62]=C_h_intern(&lf[62],27,"\003sysfetch-and-clear-threads");
lf[63]=C_h_intern(&lf[63],19,"\003sysrestore-threads");
lf[64]=C_h_intern(&lf[64],8,"sleeping");
lf[65]=C_h_intern(&lf[65],17,"\003systhread-sleep!");
lf[66]=C_h_intern(&lf[66],14,"\003syssleep-hook");
lf[67]=C_decode_literal(C_heaptop,"\376U1000.0\000");
lf[68]=C_h_intern(&lf[68],4,"exit");
lf[69]=C_h_intern(&lf[69],22,"\003syskill-other-threads");
lf[70]=C_h_intern(&lf[70],9,"suspended");
C_register_lf2(lf,71,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_899,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_extras_toplevel(2,av2);}}

/* k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_2586,2,av);}
a=C_alloc(17);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2587,a[2]=((C_word*)t0)[2],a[3]=((C_word)li47),tmp=(C_word)a,a+=4,tmp);
t3=lf[12];
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2598,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2665,a[2]=t6,a[3]=t2,a[4]=((C_word)li51),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_2665(t8,t4,lf[12]);}

/* ##sys#kill-other-threads in k900 in k897 */
static void C_ccall f_2558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_2558,3,av);}
a=C_alloc(13);
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2561,a[2]=t3,a[3]=((C_word)li46),tmp=(C_word)a,a+=4,tmp);
t5=C_mutate2((C_word*)lf[42]+1 /* (set! ##sys#primordial-thread ...) */,*((C_word*)lf[3]+1));
t6=C_a_i_list1(&a,1,*((C_word*)lf[3]+1));
t7=C_mutate2(&lf[15] /* (set! ready-queue-head ...) */,t6);
t8=C_mutate2(&lf[16] /* (set! ready-queue-tail ...) */,lf[15]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2586,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* scheduler.scm:620: suspend */
t10=t4;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=*((C_word*)lf[3]+1);
f_2561(3,av2);}}

/* loop in loop in loop in all-threads in k900 in k897 */
static void C_fcall f_2383(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_2383,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=((C_word*)t0)[2];
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_u_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2401,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=t2;
t7=C_u_i_cdr(t6);
/* scheduler.scm:548: loop */
t9=t5;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* a2528 in thread-sleep! in k900 in k897 */
static void C_ccall f_2529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_2529,3,av);}
a=C_alloc(7);
t3=*((C_word*)lf[3]+1);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2541,a[2]=t2,a[3]=((C_word)li42),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(*((C_word*)lf[3]+1),C_fix(1),t4);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2536,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* scheduler.scm:592: ##sys#thread-block-for-timeout! */
t7=*((C_word*)lf[46]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=*((C_word*)lf[3]+1);
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* ##sys#thread-sleep! in k900 in k897 */
static void C_ccall f_2523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2523,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2529,a[2]=t2,a[3]=((C_word)li43),tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:588: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
C_call_cc(3,av2);}}

/* k2178 in k2175 in k2172 in loop2 in loop in k1997 in k1988 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_2180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2180,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
/* scheduler.scm:506: loop2 */
t4=((C_word*)((C_word*)t0)[3])[1];
f_2052(t4,((C_word*)t0)[4],t3,((C_word*)t0)[5]);}

/* ##sys#add-to-ready-queue in k900 in k897 */
static void C_ccall f_1176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_1176,3,av);}
a=C_alloc(3);
t3=C_i_setslot(t2,C_fix(3),lf[10]);
t4=C_a_i_cons(&a,2,t2,C_SCHEME_END_OF_LIST);
t5=C_eqp(C_SCHEME_END_OF_LIST,lf[15]);
if(C_truep(t5)){
t6=C_mutate2(&lf[15] /* (set! ready-queue-head ...) */,t4);
t7=C_mutate2(&lf[16] /* (set! ready-queue-tail ...) */,t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t6=C_i_setslot(lf[16],C_fix(1),t4);
t7=C_mutate2(&lf[16] /* (set! ready-queue-tail ...) */,t4);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* k2534 in a2528 in thread-sleep! in k900 in k897 */
static void C_ccall f_2536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2536,2,av);}
/* scheduler.scm:593: ##sys#schedule */
t2=*((C_word*)lf[2]+1);{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#ready-queue in k900 in k897 */
static void C_ccall f_1173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1173,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[15];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1369 in loop in thread-block-for-timeout! in k900 in k897 */
static void C_fcall f_1371(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_1371,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[5]);
t4=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_i_setslot(((C_word*)t0)[2],C_fix(1),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[5]);
t4=C_mutate2(&lf[12] /* (set! ##sys#timeout-list ...) */,t3);
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(1));
/* scheduler.scm:309: loop */
t3=((C_word*)((C_word*)t0)[7])[1];
f_1361(t3,((C_word*)t0)[6],t2,((C_word*)t0)[5]);}}

/* k2505 in k2502 in k2499 in thread-unblock! in k900 in k897 */
static void C_ccall f_2507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2507,2,av);}
/* scheduler.scm:582: ##sys#thread-basic-unblock! */
t2=*((C_word*)lf[18]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k2502 in k2499 in thread-unblock! in k900 in k897 */
static void C_ccall f_2504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_2504,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2507,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:581: ##sys#clear-i/o-state-for-thread! */
f_2249(t2,((C_word*)t0)[3]);}

/* k2499 in thread-unblock! in k900 in k897 */
static void C_fcall f_2501(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_2501,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2504,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:580: ##sys#remove-from-timeout-list */
t3=*((C_word*)lf[19]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in thread-block-for-timeout! in k900 in k897 */
static void C_fcall f_1361(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_1361,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_i_nullp(t2);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1371,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t1,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_1371(t6,t4);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_caar(t2);
t8=t5;
f_1371(t8,C_i_lessp(t6,t7));}}

/* k2616 in for-each-loop673 in g651 in k2596 in k2584 in kill-other-threads in k900 in k897 */
static void C_ccall f_2618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2618,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2608(t3,((C_word*)t0)[4],t2);}

/* k1348 in thread-block-for-timeout! in k900 in k897 */
static void C_ccall f_1350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1350,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(3),lf[47]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(13),C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(((C_word*)t0)[2],C_fix(4),((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k1689 in a1686 in default-exception-handler in k900 in k897 */
static void C_ccall f_1691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_1691,2,av);}
/* scheduler.scm:383: ptx */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k1842 in k984 in loop1 in k975 in schedule in k900 in k897 */
static void C_ccall f_1844(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_1844,2,av);}
a=C_alloc(6);
t2=stub378(C_SCHEME_UNDEFINED,t1);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1711,a[2]=t4,a[3]=((C_word)li7),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_1711(t6,((C_word*)t0)[2],*((C_word*)lf[13]+1));}

/* ##sys#clear-i/o-state-for-thread! in k900 in k897 */
static void C_fcall f_2249(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_2249,2,t1,t2);}
a=C_alloc(11);
t3=C_slot(t2,C_fix(11));
if(C_truep(C_i_pairp(t3))){
t4=C_slot(t2,C_fix(11));
t5=C_u_i_car(t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2263,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2265,a[2]=t6,a[3]=t2,a[4]=t9,a[5]=((C_word)li31),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_2265(t11,t7,*((C_word*)lf[13]+1));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* a1686 in default-exception-handler in k900 in k897 */
static void C_ccall f_1687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_1687,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1691,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* scheduler.scm:382: chicken.condition#signal */
t3=*((C_word*)lf[55]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[140] = {
{"f_2221:scheduler_2escm",(void*)f_2221},
{"f_1673:scheduler_2escm",(void*)f_1673},
{"f_1722:scheduler_2escm",(void*)f_1722},
{"f_2052:scheduler_2escm",(void*)f_2052},
{"f_2608:scheduler_2escm",(void*)f_2608},
{"f_1829:scheduler_2escm",(void*)f_1829},
{"f_1711:scheduler_2escm",(void*)f_1711},
{"f_2652:scheduler_2escm",(void*)f_2652},
{"f_1547:scheduler_2escm",(void*)f_1547},
{"f_1541:scheduler_2escm",(void*)f_1541},
{"f_2665:scheduler_2escm",(void*)f_2665},
{"f_1306:scheduler_2escm",(void*)f_1306},
{"f_1300:scheduler_2escm",(void*)f_1300},
{"f_1537:scheduler_2escm",(void*)f_1537},
{"f_1091:scheduler_2escm",(void*)f_1091},
{"f_2632:scheduler_2escm",(void*)f_2632},
{"f_2637:scheduler_2escm",(void*)f_2637},
{"f_1902:scheduler_2escm",(void*)f_1902},
{"f_1905:scheduler_2escm",(void*)f_1905},
{"f_2265:scheduler_2escm",(void*)f_2265},
{"f_2263:scheduler_2escm",(void*)f_2263},
{"f_1524:scheduler_2escm",(void*)f_1524},
{"f_1765:scheduler_2escm",(void*)f_1765},
{"f_1088:scheduler_2escm",(void*)f_1088},
{"f_2642:scheduler_2escm",(void*)f_2642},
{"f_1128:scheduler_2escm",(void*)f_1128},
{"f_1121:scheduler_2escm",(void*)f_1121},
{"f_902:scheduler_2escm",(void*)f_902},
{"f_904:scheduler_2escm",(void*)f_904},
{"f_1514:scheduler_2escm",(void*)f_1514},
{"f_910:scheduler_2escm",(void*)f_910},
{"f_2023:scheduler_2escm",(void*)f_2023},
{"f_2025:scheduler_2escm",(void*)f_2025},
{"f_1999:scheduler_2escm",(void*)f_1999},
{"f_1990:scheduler_2escm",(void*)f_1990},
{"f_1645:scheduler_2escm",(void*)f_1645},
{"f_977:scheduler_2escm",(void*)f_977},
{"f_2453:scheduler_2escm",(void*)f_2453},
{"f_1407:scheduler_2escm",(void*)f_1407},
{"f_2462:scheduler_2escm",(void*)f_2462},
{"f_2491:scheduler_2escm",(void*)f_2491},
{"f_2675:scheduler_2escm",(void*)f_2675},
{"f_1055:scheduler_2escm",(void*)f_1055},
{"f_2472:scheduler_2escm",(void*)f_2472},
{"f_1293:scheduler_2escm",(void*)f_1293},
{"f_2424:scheduler_2escm",(void*)f_2424},
{"f_1571:scheduler_2escm",(void*)f_1571},
{"f_1578:scheduler_2escm",(void*)f_1578},
{"f_989:scheduler_2escm",(void*)f_989},
{"f_2087:scheduler_2escm",(void*)f_2087},
{"f_986:scheduler_2escm",(void*)f_986},
{"f_982:scheduler_2escm",(void*)f_982},
{"f_2166:scheduler_2escm",(void*)f_2166},
{"f_1279:scheduler_2escm",(void*)f_1279},
{"f_2163:scheduler_2escm",(void*)f_2163},
{"f_1275:scheduler_2escm",(void*)f_1275},
{"f_2160:scheduler_2escm",(void*)f_2160},
{"f_998:scheduler_2escm",(void*)f_998},
{"f_994:scheduler_2escm",(void*)f_994},
{"f_1942:scheduler_2escm",(void*)f_1942},
{"f_2359:scheduler_2escm",(void*)f_2359},
{"f_2408:scheduler_2escm",(void*)f_2408},
{"f_2401:scheduler_2escm",(void*)f_2401},
{"f_2352:scheduler_2escm",(void*)f_2352},
{"f_2177:scheduler_2escm",(void*)f_2177},
{"f_2174:scheduler_2escm",(void*)f_2174},
{"f_2145:scheduler_2escm",(void*)f_2145},
{"f_1780:scheduler_2escm",(void*)f_1780},
{"f_1783:scheduler_2escm",(void*)f_1783},
{"f_1786:scheduler_2escm",(void*)f_1786},
{"f_937:scheduler_2escm",(void*)f_937},
{"f_1628:scheduler_2escm",(void*)f_1628},
{"f_1923:scheduler_2escm",(void*)f_1923},
{"f_1927:scheduler_2escm",(void*)f_1927},
{"f_2336:scheduler_2escm",(void*)f_2336},
{"f_2157:scheduler_2escm",(void*)f_2157},
{"f_2154:scheduler_2escm",(void*)f_2154},
{"f_1771:scheduler_2escm",(void*)f_1771},
{"f_2151:scheduler_2escm",(void*)f_2151},
{"f_1777:scheduler_2escm",(void*)f_1777},
{"f_1774:scheduler_2escm",(void*)f_1774},
{"f_947:scheduler_2escm",(void*)f_947},
{"f_2306:scheduler_2escm",(void*)f_2306},
{"f_2124:scheduler_2escm",(void*)f_2124},
{"f_2121:scheduler_2escm",(void*)f_2121},
{"f_2287:scheduler_2escm",(void*)f_2287},
{"f_1607:scheduler_2escm",(void*)f_1607},
{"f_1597:scheduler_2escm",(void*)f_1597},
{"f_1472:scheduler_2escm",(void*)f_1472},
{"f_1667:scheduler_2escm",(void*)f_1667},
{"f_1663:scheduler_2escm",(void*)f_1663},
{"f_2378:scheduler_2escm",(void*)f_2378},
{"f_1819:scheduler_2escm",(void*)f_1819},
{"f_1651:scheduler_2escm",(void*)f_1651},
{"f_1807:scheduler_2escm",(void*)f_1807},
{"f_1893:scheduler_2escm",(void*)f_1893},
{"f_1896:scheduler_2escm",(void*)f_1896},
{"f_1899:scheduler_2escm",(void*)f_1899},
{"f_1890:scheduler_2escm",(void*)f_1890},
{"f_1884:scheduler_2escm",(void*)f_1884},
{"f_1887:scheduler_2escm",(void*)f_1887},
{"f_1878:scheduler_2escm",(void*)f_1878},
{"f_1498:scheduler_2escm",(void*)f_1498},
{"f_899:scheduler_2escm",(void*)f_899},
{"f_2318:scheduler_2escm",(void*)f_2318},
{"f_1488:scheduler_2escm",(void*)f_1488},
{"f_1109:scheduler_2escm",(void*)f_1109},
{"f_1103:scheduler_2escm",(void*)f_1103},
{"f_2561:scheduler_2escm",(void*)f_2561},
{"f_1341:scheduler_2escm",(void*)f_1341},
{"f_2598:scheduler_2escm",(void*)f_2598},
{"f_2599:scheduler_2escm",(void*)f_2599},
{"f_1162:scheduler_2escm",(void*)f_1162},
{"f_2547:scheduler_2escm",(void*)f_2547},
{"f_2541:scheduler_2escm",(void*)f_2541},
{"f_2587:scheduler_2escm",(void*)f_2587},
{"f_1550:scheduler_2escm",(void*)f_1550},
{"f_1553:scheduler_2escm",(void*)f_1553},
{"toplevel:scheduler_2escm",(void*)C_scheduler_toplevel},
{"f_2586:scheduler_2escm",(void*)f_2586},
{"f_2558:scheduler_2escm",(void*)f_2558},
{"f_2383:scheduler_2escm",(void*)f_2383},
{"f_2529:scheduler_2escm",(void*)f_2529},
{"f_2523:scheduler_2escm",(void*)f_2523},
{"f_2180:scheduler_2escm",(void*)f_2180},
{"f_1176:scheduler_2escm",(void*)f_1176},
{"f_2536:scheduler_2escm",(void*)f_2536},
{"f_1173:scheduler_2escm",(void*)f_1173},
{"f_1371:scheduler_2escm",(void*)f_1371},
{"f_2507:scheduler_2escm",(void*)f_2507},
{"f_2504:scheduler_2escm",(void*)f_2504},
{"f_2501:scheduler_2escm",(void*)f_2501},
{"f_1361:scheduler_2escm",(void*)f_1361},
{"f_2618:scheduler_2escm",(void*)f_2618},
{"f_1350:scheduler_2escm",(void*)f_1350},
{"f_1691:scheduler_2escm",(void*)f_1691},
{"f_1844:scheduler_2escm",(void*)f_1844},
{"f_2249:scheduler_2escm",(void*)f_2249},
{"f_1687:scheduler_2escm",(void*)f_1687},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
S|applied compiler syntax:
S|  sprintf		3
S|  for-each		6
S|  ##sys#for-each		1
o|eliminated procedure checks: 136 
o|specializations:
o|  1 (+ * *)
o|  1 (* * *)
o|  3 (add1 *)
o|  2 (sub1 *)
o|  1 (zero? *)
o|  3 (##sys#check-output-port * * *)
o|  10 (eqv? * (or eof null fixnum char boolean symbol))
o|  1 (< * *)
o|  1 (> * *)
o|  3 (car pair)
o|  2 (- * *)
o|  20 (cdr pair)
o|  1 (>= * *)
o|  4 (cdar (pair pair *))
(o e)|safe calls: 240 
(o e)|assignments to immediate values: 12 
o|Removed `not' forms: 5 
o|inlining procedure: k912 
o|inlining procedure: k912 
o|contracted procedure: k1002 
o|inlining procedure: k999 
o|contracted procedure: "(scheduler.scm:230) switch156" 
o|contracted procedure: "(scheduler.scm:170) restore-thread-state-buffer" 
o|inlining procedure: k999 
o|contracted procedure: "(scheduler.scm:225) remove-from-ready-queue" 
o|contracted procedure: k1201 
o|inlining procedure: k1198 
o|inlining procedure: k1198 
o|propagated global variable: first-pair218 ready-queue-head 
o|inlining procedure: k1039 
o|inlining procedure: k1039 
o|contracted procedure: "(scheduler.scm:222) unblock-threads-for-i/o" 
o|inlining procedure: k2005 
o|inlining procedure: k2005 
o|inlining procedure: k2027 
o|inlining procedure: k2027 
o|inlining procedure: k2054 
o|inlining procedure: k2054 
o|contracted procedure: k2116 
o|inlining procedure: k2113 
o|contracted procedure: k2139 
o|inlining procedure: k2169 
o|inlining procedure: k2169 
o|contracted procedure: "(scheduler.scm:502) fdset-test" 
o|inlining procedure: k1848 
o|inlining procedure: k1848 
o|inlining procedure: k1866 
o|substituted constant variable: a1880 
o|substituted constant variable: a1881 
o|inlining procedure: k1866 
o|substituted constant variable: a1907 
o|substituted constant variable: a1912 
o|substituted constant variable: a1914 
o|substituted constant variable: a1919 
o|substituted constant variable: a1921 
o|substituted constant variable: a2147 
o|substituted constant variable: a2148 
o|inlining procedure: k2113 
o|contracted procedure: "(scheduler.scm:462) g500501" 
o|contracted procedure: "(scheduler.scm:453) create-fdset" 
o|inlining procedure: k1713 
o|inlining procedure: k1727 
o|inlining procedure: k1744 
o|inlining procedure: k1744 
o|substituted constant variable: a1767 
o|substituted constant variable: a1768 
o|substituted constant variable: a1788 
o|substituted constant variable: a1793 
o|substituted constant variable: a1795 
o|substituted constant variable: a1800 
o|substituted constant variable: a1802 
o|inlining procedure: k1727 
o|inlining procedure: k1713 
o|contracted procedure: "(scheduler.scm:400) g432433" 
o|inlining procedure: k1821 
o|inlining procedure: k1821 
o|contracted procedure: "(scheduler.scm:396) g375376" 
o|inlining procedure: k1057 
o|inlining procedure: k1057 
o|inlining procedure: k1078 
o|inlining procedure: k1078 
o|contracted procedure: k1114 
o|inlining procedure: k1111 
o|inlining procedure: k1111 
o|inlining procedure: k1132 
o|inlining procedure: k1132 
o|contracted procedure: "(scheduler.scm:178) update-thread-state-buffer" 
o|propagated global variable: ct164 ##sys#current-thread 
o|inlining procedure: k1184 
o|inlining procedure: k1184 
o|inlining procedure: k1277 
o|propagated global variable: ct242 ##sys#current-thread 
o|inlining procedure: k1277 
o|inlining procedure: k1308 
o|inlining procedure: k1308 
o|inlining procedure: k1326 
o|inlining procedure: k1326 
o|substituted constant variable: a1347 
o|inlining procedure: k1343 
o|inlining procedure: k1363 
o|inlining procedure: k1363 
o|inlining procedure: k1343 
o|inlining procedure: k1412 
o|inlining procedure: k1412 
o|inlining procedure: k1569 
o|inlining procedure: k1580 
o|inlining procedure: k1580 
o|inlining procedure: k1569 
o|inlining procedure: k1599 
o|inlining procedure: k1599 
o|inlining procedure: k1633 
o|inlining procedure: k1633 
o|contracted procedure: "(scheduler.scm:343) abandon-mutexes" 
o|inlining procedure: k1450 
o|inlining procedure: k1450 
o|inlining procedure: k1516 
o|contracted procedure: "(scheduler.scm:326) g283290" 
o|inlining procedure: k1470 
o|inlining procedure: k1470 
o|inlining procedure: k1490 
o|contracted procedure: "(scheduler.scm:333) g297304" 
o|inlining procedure: k1490 
o|inlining procedure: k1516 
o|propagated global variable: pt366 ##sys#primordial-thread 
o|inlining procedure: k1944 
o|inlining procedure: k1944 
o|inlining procedure: k2251 
o|inlining procedure: k2267 
o|inlining procedure: k2267 
o|inlining procedure: k2288 
o|inlining procedure: k2288 
o|inlining procedure: k2251 
o|inlining procedure: k2338 
o|inlining procedure: k2338 
o|inlining procedure: k2361 
o|inlining procedure: k2385 
o|inlining procedure: k2385 
o|inlining procedure: k2361 
o|inlining procedure: k2410 
o|inlining procedure: k2410 
o|inlining procedure: k2493 
o|inlining procedure: k2493 
o|propagated global variable: ct630 ##sys#current-thread 
o|substituted constant variable: a2555 
o|propagated global variable: primordial636 ##sys#current-thread 
o|inlining procedure: k2610 
o|inlining procedure: k2610 
o|inlining procedure: k2644 
o|inlining procedure: k2644 
o|propagated global variable: g657669 ##sys#fd-list 
o|inlining procedure: k2667 
o|inlining procedure: k2667 
o|propagated global variable: g647662 ##sys#timeout-list 
o|propagated global variable: primordial636 ##sys#current-thread 
o|replaced variables: 275 
o|removed binding forms: 184 
o|substituted constant variable: r11992691 
o|inlining procedure: k1208 
o|inlining procedure: k1208 
o|inlining procedure: k2230 
o|inlining procedure: k2230 
o|substituted constant variable: r11122721 
o|substituted constant variable: r11332726 
o|substituted constant variable: r22682788 
o|converted assignments to bindings: (suspend637) 
o|simplifications: ((let . 1)) 
o|replaced variables: 20 
o|removed binding forms: 302 
o|inlining procedure: k1008 
o|inlining procedure: k1810 
o|replaced variables: 14 
o|removed binding forms: 33 
o|substituted constant variable: r10092906 
o|contracted procedure: k1704 
o|simplifications: ((let . 1)) 
o|replaced variables: 2 
o|removed binding forms: 16 
o|removed conditional forms: 1 
o|removed binding forms: 2 
o|simplifications: ((if . 17) (##core#call . 230)) 
o|  call simplifications:
o|    ##sys#call-with-current-continuation
o|    vector
o|    list	2
o|    ##sys#structure?	2
o|    chicken.fixnum#fx=	2
o|    set-cdr!	3
o|    equal?
o|    ##sys#setislot	18
o|    not
o|    caar	7
o|    chicken.fixnum#fx>
o|    pair?	16
o|    car	12
o|    cdr	8
o|    ##sys#setslot	30
o|    null?	26
o|    eq?	26
o|    cons	16
o|    ##sys#slot	57
o|contracted procedure: k915 
o|contracted procedure: k943 
o|contracted procedure: k921 
o|contracted procedure: k931 
o|contracted procedure: k939 
o|contracted procedure: k969 
o|contracted procedure: k1033 
o|contracted procedure: k1023 
o|contracted procedure: k953 
o|contracted procedure: k960 
o|contracted procedure: k963 
o|contracted procedure: k1247 
o|contracted procedure: k1251 
o|contracted procedure: k1255 
o|contracted procedure: k1259 
o|contracted procedure: k1263 
o|contracted procedure: k1267 
o|contracted procedure: k1271 
o|contracted procedure: k1014 
o|contracted procedure: k1008 
o|contracted procedure: k1217 
o|contracted procedure: k1204 
o|contracted procedure: k1212 
o|contracted procedure: k1042 
o|contracted procedure: k1991 
o|contracted procedure: k1994 
o|contracted procedure: k2002 
o|contracted procedure: k2008 
o|contracted procedure: k2017 
o|contracted procedure: k2031 
o|contracted procedure: k2034 
o|contracted procedure: k2037 
o|contracted procedure: k2043 
o|contracted procedure: k2057 
o|contracted procedure: k2063 
o|contracted procedure: k2074 
o|contracted procedure: k2081 
o|contracted procedure: k2093 
o|contracted procedure: k2096 
o|contracted procedure: k2099 
o|contracted procedure: k2105 
o|contracted procedure: k2212 
o|contracted procedure: k2208 
o|contracted procedure: k2204 
o|contracted procedure: k2186 
o|contracted procedure: k2198 
o|contracted procedure: k1851 
o|contracted procedure: k1854 
o|contracted procedure: k1860 
o|contracted procedure: k1863 
o|contracted procedure: k1869 
o|contracted procedure: k2130 
o|contracted procedure: k2233 
o|contracted procedure: k2236 
o|contracted procedure: k1716 
o|contracted procedure: k1719 
o|contracted procedure: k1724 
o|contracted procedure: k1730 
o|contracted procedure: k1737 
o|contracted procedure: k1740 
o|contracted procedure: k1747 
o|contracted procedure: k1750 
o|contracted procedure: k1757 
o|contracted procedure: k1824 
o|contracted procedure: k1834 
o|contracted procedure: k1838 
o|contracted procedure: k1048 
o|contracted procedure: k1060 
o|contracted procedure: k1064 
o|contracted procedure: k1069 
o|contracted procedure: k1075 
o|contracted procedure: k1083 
o|contracted procedure: k1104 
o|contracted procedure: k1129 
o|contracted procedure: k1135 
o|contracted procedure: k1146 
o|contracted procedure: k1149 
o|contracted procedure: k1152 
o|contracted procedure: k1223 
o|propagated global variable: ct164 ##sys#current-thread 
o|contracted procedure: k1226 
o|contracted procedure: k1229 
o|contracted procedure: k1232 
o|contracted procedure: k1235 
o|contracted procedure: k1238 
o|contracted procedure: k1164 
o|contracted procedure: k1178 
o|contracted procedure: k1181 
o|contracted procedure: k1188 
o|contracted procedure: k1184 
o|contracted procedure: k1283 
o|contracted procedure: k1286 
o|contracted procedure: k1311 
o|contracted procedure: k1314 
o|contracted procedure: k1317 
o|contracted procedure: k1337 
o|contracted procedure: k1323 
o|contracted procedure: k1351 
o|contracted procedure: k1354 
o|contracted procedure: k1366 
o|contracted procedure: k1383 
o|contracted procedure: k1379 
o|contracted procedure: k1391 
o|contracted procedure: k1387 
o|contracted procedure: k1398 
o|contracted procedure: k1403 
o|contracted procedure: k1409 
o|contracted procedure: k1415 
o|contracted procedure: k1418 
o|contracted procedure: k1438 
o|contracted procedure: k1434 
o|contracted procedure: k1421 
o|contracted procedure: k1424 
o|contracted procedure: k1427 
o|contracted procedure: k1542 
o|contracted procedure: k1554 
o|contracted procedure: k1557 
o|contracted procedure: k1560 
o|contracted procedure: k1563 
o|contracted procedure: k1566 
o|contracted procedure: k1575 
o|contracted procedure: k1590 
o|contracted procedure: k1583 
o|contracted procedure: k1602 
o|contracted procedure: k1612 
o|contracted procedure: k1616 
o|contracted procedure: k1619 
o|contracted procedure: k1630 
o|contracted procedure: k1636 
o|contracted procedure: k1647 
o|contracted procedure: k1447 
o|contracted procedure: k1453 
o|contracted procedure: k1519 
o|contracted procedure: k1529 
o|contracted procedure: k1533 
o|contracted procedure: k1458 
o|contracted procedure: k1461 
o|contracted procedure: k1464 
o|contracted procedure: k1467 
o|contracted procedure: k1476 
o|contracted procedure: k1493 
o|contracted procedure: k1503 
o|contracted procedure: k1507 
o|contracted procedure: k1653 
o|contracted procedure: k1656 
o|contracted procedure: k1668 
o|contracted procedure: k1677 
o|contracted procedure: k1680 
o|propagated global variable: pt366 ##sys#primordial-thread 
o|propagated global variable: pt366 ##sys#primordial-thread 
o|contracted procedure: k1928 
o|contracted procedure: k1931 
o|contracted procedure: k1938 
o|contracted procedure: k1947 
o|contracted procedure: k1955 
o|contracted procedure: k1951 
o|contracted procedure: k1958 
o|contracted procedure: k1982 
o|contracted procedure: k1964 
o|contracted procedure: k1971 
o|contracted procedure: k2314 
o|contracted procedure: k2254 
o|contracted procedure: k2310 
o|contracted procedure: k2257 
o|contracted procedure: k2270 
o|contracted procedure: k2273 
o|contracted procedure: k2276 
o|contracted procedure: k2282 
o|contracted procedure: k2291 
o|contracted procedure: k2295 
o|contracted procedure: k2450 
o|contracted procedure: k2320 
o|contracted procedure: k2444 
o|contracted procedure: k2323 
o|contracted procedure: k2438 
o|contracted procedure: k2326 
o|contracted procedure: k2432 
o|contracted procedure: k2329 
o|contracted procedure: k2341 
o|contracted procedure: k2364 
o|contracted procedure: k2373 
o|contracted procedure: k2388 
o|contracted procedure: k2395 
o|contracted procedure: k2413 
o|contracted procedure: k2426 
o|contracted procedure: k2464 
o|contracted procedure: k2475 
o|contracted procedure: k2479 
o|contracted procedure: k2483 
o|contracted procedure: k2487 
o|contracted procedure: k2519 
o|contracted procedure: k2496 
o|contracted procedure: k2515 
o|contracted procedure: k2531 
o|propagated global variable: ct630 ##sys#current-thread 
o|contracted procedure: k2572 
o|contracted procedure: k2563 
o|contracted procedure: k2566 
o|contracted procedure: k2580 
o|contracted procedure: k2593 
o|contracted procedure: k2601 
o|contracted procedure: k2613 
o|contracted procedure: k2623 
o|contracted procedure: k2627 
o|contracted procedure: k2647 
o|contracted procedure: k2657 
o|contracted procedure: k2661 
o|contracted procedure: k2670 
o|contracted procedure: k2680 
o|contracted procedure: k2684 
o|propagated global variable: primordial636 ##sys#current-thread 
o|simplifications: ((let . 39)) 
o|removed binding forms: 206 
o|replaced variables: 69 
o|inlining procedure: k956 
o|removed binding forms: 24 
o|contracted procedure: k972 
o|propagated global variable: ct164 ##sys#current-thread 
o|propagated global variable: ct164 ##sys#current-thread 
o|removed binding forms: 3 
o|replaced variables: 2 
o|removed binding forms: 1 
o|direct leaf routine/allocation: loop248 0 
o|converted assignments to bindings: (loop248) 
o|simplifications: ((let . 1)) 
o|customizable procedures: (g641661 for-each-loop640664 g651668 for-each-loop650687 for-each-loop673683 k2499 loop603 loop600 loop596 loop593 loop562 loop485 for-each-loop296307 for-each-loop282315 delq k1545 g331338 for-each-loop330341 k1369 loop257 k1101 ##sys#clear-i/o-state-for-thread! loop173 g389396 for-each-loop388428 loop381 loop2529 loop515 k996 loop1171 loop2189 loop148) 
o|calls to known targets: 80 
o|identified direct recursive calls: f_910 1 
o|identified direct recursive calls: f_2052 1 
o|identified direct recursive calls: f_2025 1 
o|identified direct recursive calls: f_1055 1 
o|identified direct recursive calls: f_1306 1 
o|identified direct recursive calls: f_1942 1 
o|identified direct recursive calls: f_2265 1 
o|identified direct recursive calls: f_2383 1 
o|fast box initializations: 21 
o|fast global references: 30 
o|fast global assignments: 23 
o|dropping unused closure argument: f_904 
o|dropping unused closure argument: f_2249 
*/
/* end of file */
